/*
 * Created on Jul 28, 2005
 */
package tacle.core;

import tacle.internal.rta.*;
/**
 * Factory that produces implemenations of ICallGraphAnalysis
 */
public class AnalysisFactory {
	/**
	 * static field whose value is associated with the RTA
	 * implementation of <code>ICallGraphAnalysis</code> in the 
	 * method <code>getAnalysis</code>.
	 */
	public static final int RTA = 0;

	/**
	 * Returns the <code>ICallGraphAnalysis</code> associated with
	 * <code>analysisType</code>. Currently the only supported analysis is 
	 * RTA.
	 */
	public ICallGraphAnalysis getAnalysis(int analysisType){
		
		switch (analysisType){
			case RTA: return new RTAnalysis();
			
		}
	
		return null;
	}
	
}
