package tacle.example.popups.actions;

import org.eclipse.jface.action.IAction;
import org.eclipse.jface.dialogs.MessageDialog;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.ui.IObjectActionDelegate;
import org.eclipse.ui.IWorkbenchPart;
import tacle.examples.dotgraph.*;
import org.eclipse.jdt.core.IMethod;
import org.eclipse.jface.viewers.IStructuredSelection;
import java.io.File;



public class CallGraphAction implements IObjectActionDelegate {

	private ISelection selection;
	/**
	 * Constructor for Action1.
	 */
	public CallGraphAction() {
		super();
	}

	/**
	 * @see IObjectActionDelegate#setActivePart(IAction, IWorkbenchPart)
	 */
	public void setActivePart(IAction action, IWorkbenchPart targetPart) {
	}

	/**
	 * @see IActionDelegate#run(IAction)
	 */
	public void run(IAction action) {
		Shell shell = new Shell();
		Object element = getSingleElement(selection);

		IMethod method = getSelectedMethod(element);
		String fileSep = System.getProperty("file.separator");
		
		String [] t = method.getCompilationUnit().getElementName().split("\\.");
		
		
		File dir1 = new File ("");
		
		String printPath ="";
		try{
		printPath = dir1.getCanonicalPath()+fileSep+t[0]+".dot";
		System.out.println(printPath);
		}catch(Exception e){
			System.out.println("Can't find path for user.dir");
			e.printStackTrace();
		}
		
		String fpath = "."+fileSep+t[0]+".dot";
		//System.out.println(fpath);
		DotGraphGenerator dgg =new DotGraphGenerator();
		boolean result = dgg.run(method,fpath);
		if(result){
			MessageDialog.openInformation(
					shell,
					"Tacle Plug-in",
					"The file, "+printPath+", contains the call graph for main.");
		}else{
			MessageDialog.openInformation(
					shell,
					"Tacle Plug-in",
					"ERROR: could not open file, "+printPath);
		}
	}

	/**
	 * @see IActionDelegate#selectionChanged(IAction, ISelection)
	 */
	public void selectionChanged(IAction action, ISelection selection) {
		this.selection = selection;
	}

	public static Object getSingleElement(ISelection s) {
		if (!(s instanceof IStructuredSelection))
			return null;
		IStructuredSelection selection = (IStructuredSelection) s;
		if (selection.size() != 1)
			return null;

		return selection.getFirstElement();

	}


	private IMethod getSelectedMethod(Object element) {
		IMethod method = null;
		if (element instanceof IMethod) {
			method = (IMethod) element;
		}
		return method;
	}
}
