package tacle.example.popups.actions;

import org.eclipse.jface.action.IAction;
import org.eclipse.jface.dialogs.MessageDialog;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.ui.IObjectActionDelegate;
import org.eclipse.ui.IWorkbenchPart;
import tacle.examples.simple.*;
import org.eclipse.jdt.core.IMethod;
import org.eclipse.jface.viewers.IStructuredSelection;



public class HelloTacleAction implements IObjectActionDelegate {

	private ISelection selection;
	/**
	 * Constructor for Action1.
	 */
	public HelloTacleAction() {
		super();
	}

	/**
	 * @see IObjectActionDelegate#setActivePart(IAction, IWorkbenchPart)
	 */
	public void setActivePart(IAction action, IWorkbenchPart targetPart) {
	}

	/**
	 * @see IActionDelegate#run(IAction)
	 */
	public void run(IAction action) {
		Shell shell = new Shell();
		Object element = getSingleElement(selection);

		IMethod method = getSelectedMethod(element);
		
		HelloTacle ht =new HelloTacle();
		MessageDialog.openInformation(
			shell,
			"Tacle Plug-in",
			"There are "+ht.run(method)+" reachable methods");
	}

	/**
	 * @see IActionDelegate#selectionChanged(IAction, ISelection)
	 */
	public void selectionChanged(IAction action, ISelection selection) {
		this.selection = selection;
	}

	public static Object getSingleElement(ISelection s) {
		if (!(s instanceof IStructuredSelection))
			return null;
		IStructuredSelection selection = (IStructuredSelection) s;
		if (selection.size() != 1)
			return null;
		return selection.getFirstElement();

	}


	private IMethod getSelectedMethod(Object element) {
		IMethod method = null;
		if (element instanceof IMethod) {
			method = (IMethod) element;
		}
		return method;
	}
}
