/*
 * Created on Sep 29, 2005
 * 
 * TODO To change the template for this generated file go to Window -
 * Preferences - Java - Code Style - Code Templates
 */
package tacle.internal.rta;

import java.util.HashSet;
import java.util.Set;

import tacle.internal.rta.data.IWorklistType;
import tacle.internal.rta.data.IWorklistMethod;

public class ResolvedCallSite {

	private final RTAMethodWorklist worklist;

	// fields defining signature of the called method
	String methodName;

	IWorklistType[] paramTypes;

	// fields defining position in the source code
	private int pos;

	private int len;

	// field holding the resolved targets of this call site
	Set resolvedTargets;

	private boolean isVirtual;

	ResolvedCallSite(RTAMethodWorklist worklist, String mn, IWorklistType[] t,
			int pos, int len, boolean isVirtual) {
		methodName = mn;
		this.worklist = worklist;
		paramTypes = t;
		resolvedTargets = new HashSet();
		this.pos = pos;
		this.len = len;
		this.isVirtual = isVirtual;
	}

	public void addTarget(IWorklistMethod method) {
		resolvedTargets.add(method);
	}

	public int getLength() {
		return len;
	}

	public int getPos() {
		return pos;
	}

	public String toString() {
		String result = methodName + "(";
		for (int i = 0; i < paramTypes.length; i++) {
			result += (i > 0 ? "," : "") + paramTypes[i];
		}
		return result + ")";
	}
}