/*
 * Created on Sep 30, 2005
 *
 */
package tacle.internal.rta.data;

import java.util.Set;

import org.eclipse.jdt.core.IMethod;

import tacle.core.ICallSite;

/**
 * @author Mariana L Barca
 *  
 */
public class CallSite implements ICallSite {

	private IMethod callingMethod;

	private int startPos;

	private int len;

	protected Set calledMethods; // member: IMethod

	// constructors
	private CallSite() {
	}

	public CallSite(IMethod callingMethod, String callingMethodKey,
			int startPos, int len, Set calledMethods, Set calledMethodKeys) {
		this.callingMethod = callingMethod;
		this.startPos = startPos;
		this.len = len;
		this.calledMethods = calledMethods;
	}

	// methods from interface
	public IMethod getMethod() {
		return callingMethod;
	}

	public int getStartPosition() {
		return startPos;
	}

	public int getLength() {
		return len;
	}

	public Set getCalledIMethods() {
		return calledMethods;
	}

	public String toString() {
		return startPos + " " + len;
	}

	public boolean equals(Object obj) {
		if (obj instanceof CallSite) {
			CallSite cs = (CallSite) obj;
			return callingMethod.equals(cs.callingMethod)
					&& startPos == cs.startPos && len == cs.len;
		} else
			return false;
	}
	
	public int hashCode() {
		return callingMethod.hashCode() + startPos + len;
	}
}
