/*
 * Created on Jun 22, 2005
 *
 */
package tacle.internal.rta.data;

//import java.util.Set;

/**
 * @author Mariana L Barca
 *  
 */
public class ClassInfo implements IWorklistType {

	// class related info
	private int classId;

	private int packageId;

	private String packageName;

	private String completeName;

	private int modifiers;
	
	// super class related info
	private int superClassId;

	private int superPackageId;

	private ClassInfo superClass;

	// interfaces related info
	private int[][] interfaceIds;

	private ClassInfo[] interfaces;

	// constructor

	public ClassInfo() {
	}

	// internal methods that populate info

	private void populateSuper() {
		if (superPackageId != 0 || superClassId != 0) {
			superClass = InfoDictionary.v().getClassInfo(superClassId,
					superPackageId);
		}
	}

	private void populateInterfaces() {
		interfaces = new ClassInfo[interfaceIds.length];
		for (int i = 0; i < interfaceIds.length; i++) {
			interfaces[i] = InfoDictionary.v().getClassInfo(interfaceIds[i][1],
					interfaceIds[i][0]);
		}
	}

	// getters & setters

	public int getClassId() {
		return classId;
	}

	public void setClassId(int classId) {
		this.classId = classId;
	}

	public String getCompleteName() {
		return completeName;
	}

	public void setCompleteName(String completeName) {
		this.completeName = completeName;
	}

	public int[][] getInterfaceIds() {
		return interfaceIds;
	}

	public void setInterfaceIds(int[][] interfaceIds) {
		this.interfaceIds = interfaceIds;
	}

	public ClassInfo[] getInterfaces() {
		if (interfaces == null)
			this.populateInterfaces();
		return interfaces;
	}

	public void setInterfaces(ClassInfo[] interfaces) {
		this.interfaces = interfaces;
	}

	public int getPackageId() {
		return packageId;
	}

	public void setPackageId(int packageId) {
		this.packageId = packageId;
	}

	public String getPackageName() {
		if (packageName == null)
			packageName = InfoDictionary.v().getPackageNameForId(packageId);
		return packageName;
	}

	public void setPackageName(String packageName) {
		this.packageName = packageName;
	}

	public ClassInfo getSuperClass() {
		if (superClass == null)
			this.populateSuper();
		return superClass;
	}

	public void setSuperClass(ClassInfo superClass) {
		this.superClass = superClass;
	}

	public int getSuperClassId() {
		return superClassId;
	}

	public void setSuperClassId(int superClassId) {
		this.superClassId = superClassId;
	}

	public int getSuperPackageId() {
		return superPackageId;
	}

	public void setSuperPackageId(int superPackageId) {
		this.superPackageId = superPackageId;
	}

//	public boolean isAbstract() {
//		return isAbstract;
//	}
//
//	public boolean isInterface() {
//		return isInterface;
//	}

	public void setModifiers(int modifiers) {
		this.modifiers = modifiers;
	}
	
	public boolean isFromSummary() {
		return true;
	}
	
	public String toString() {
		return "ClassInfo:" + this.completeName;
	}
	
	public boolean equals(Object other) {
		if (other instanceof ClassInfo) {
			return classId == ((ClassInfo)other).classId;
		}
		return false;
	}
	
	public int hashCode() {
		return classId;
	}
}
