/*
 * Created on May 18, 2005
 *
 */
package tacle.internal.types;

/**
 * @author Mariana L Barca
 *  
 *  This class is just a listing of the classes initialized, instantiated
 *  and the methods executed at a generic JVM startup
 */
public class StartupClasses {

	public static String[][] getClasses() {
		// contains inner & anonymous classes 
		String[][] result = {{"java.io", "java.io.BufferedInputStream"},
				{"java.io", "java.io.BufferedOutputStream"},
				{"java.io", "java.io.BufferedWriter"},
				{"java.io", "java.io.DataInput"},
				{"java.io", "java.io.DataInputStream"},
				{"java.io", "java.io.ExpiringCache"},
				{"java.io", "java.io.ExpiringCache$Entry"},
				{"java.io", "java.io.File"},
				{"java.io", "java.io.FileDescriptor"},
				{"java.io", "java.io.FileInputStream"},
				{"java.io", "java.io.FileOutputStream"},
				{"java.io", "java.io.FilePermission"},
				{"java.io", "java.io.FilePermission$1"},
				{"java.io", "java.io.FilePermissionCollection"},
				{"java.io", "java.io.FileSystem"},
				{"java.io", "java.io.FilterInputStream"},
				{"java.io", "java.io.FilterOutputStream"},
				{"java.io", "java.io.InputStream"},
				{"java.io", "java.io.ObjectStreamClass"},
				{"java.io", "java.io.ObjectStreamField"},
				{"java.io", "java.io.OutputStream"},
				{"java.io", "java.io.OutputStreamWriter"},
				{"java.io", "java.io.PrintStream"},
				{"java.io", "java.io.Serializable"},
				{"java.io", "java.io.Win32FileSystem"},
				{"java.io", "java.io.WinNTFileSystem"},
				{"java.io", "java.io.Writer"},
				{"java.lang", "java.lang.ArithmeticException"},
				{"java.lang", "java.lang.ArrayStoreException"},
				{"java.lang", "java.lang.Boolean"},
				{"java.lang", "java.lang.Byte"},
				{"java.lang", "java.lang.CharSequence"},
				{"java.lang", "java.lang.Character"},
				{"java.lang", "java.lang.CharacterDataLatin1"},
				{"java.lang", "java.lang.Class"},
				{"java.lang", "java.lang.Class$1"},
				{"java.lang", "java.lang.Class$3"},
				{"java.lang", "java.lang.ClassCastException"},
				{"java.lang", "java.lang.ClassLoader"},
				{"java.lang", "java.lang.ClassLoader$3"},
				{"java.lang", "java.lang.ClassLoader$NativeLibrary"},
				{"java.lang", "java.lang.ClassNotFoundException"},
				{"java.lang", "java.lang.Cloneable"},
				{"java.lang", "java.lang.Comparable"},
				{"java.lang", "java.lang.Compiler"},
				{"java.lang", "java.lang.Compiler$1"},
				{"java.lang", "java.lang.Double"},
				{"java.lang", "java.lang.Error"},
				{"java.lang", "java.lang.Exception"},
				{"java.lang", "java.lang.Float"},
				{"java.lang", "java.lang.IncompatibleClassChangeError"},
				{"java.lang", "java.lang.Integer"},
				{"java.lang", "java.lang.Integer$1"},
				{"java.lang", "java.lang.LinkageError"},
				{"java.lang", "java.lang.Long"},
				{"java.lang", "java.lang.Long$1"},
				{"java.lang", "java.lang.Math"},
				{"java.lang", "java.lang.NoClassDefFoundError"},
				{"java.lang", "java.lang.NoSuchMethodError"},
				{"java.lang", "java.lang.NullPointerException"},
				{"java.lang", "java.lang.Number"},
				{"java.lang", "java.lang.Object"},
				{"java.lang", "java.lang.OutOfMemoryError"},
				{"java.lang", "java.lang.Runnable"},
				{"java.lang", "java.lang.Runtime"},
				{"java.lang", "java.lang.RuntimeException"},
				{"java.lang", "java.lang.RuntimePermission"},
				{"java.lang", "java.lang.Short"},
				{"java.lang", "java.lang.Shutdown"},
				{"java.lang", "java.lang.Shutdown$Lock"},
				{"java.lang", "java.lang.StackOverflowError"},
				{"java.lang", "java.lang.StrictMath"},
				{"java.lang", "java.lang.String"},
				{"java.lang", "java.lang.String$CaseInsensitiveComparator"},
				{"java.lang", "java.lang.StringBuffer"},
				{"java.lang", "java.lang.StringCoding"},
				{"java.lang", "java.lang.StringCoding$CharsetSD"},
				{"java.lang", "java.lang.StringCoding$StringDecoder"},
				{"java.lang", "java.lang.System"},
				{"java.lang", "java.lang.SystemClassLoaderAction"},
				{"java.lang", "java.lang.Terminator"},
				{"java.lang", "java.lang.Terminator$1"},
				{"java.lang", "java.lang.Thread"},
				{"java.lang", "java.lang.ThreadDeath"},
				{"java.lang", "java.lang.ThreadGroup"},
				{"java.lang", "java.lang.ThreadLocal"},
				{"java.lang", "java.lang.ThreadLocal$ThreadLocalMap"},
				{"java.lang", "java.lang.ThreadLocal$ThreadLocalMap$Entry"},
				{"java.lang", "java.lang.Throwable"},
				{"java.lang", "java.lang.VirtualMachineError"},
				{"java.lang.ref", "java.lang.ref.FinalReference"},
				{"java.lang.ref", "java.lang.ref.Finalizer"},
				{"java.lang.ref", "java.lang.ref.Finalizer$FinalizerThread"},
				{"java.lang.ref", "java.lang.ref.PhantomReference"},
				{"java.lang.ref", "java.lang.ref.Reference"},
				{"java.lang.ref", "java.lang.ref.Reference$Lock"},
				{"java.lang.ref", "java.lang.ref.Reference$ReferenceHandler"},
				{"java.lang.ref", "java.lang.ref.ReferenceQueue"},
				{"java.lang.ref", "java.lang.ref.ReferenceQueue$Lock"},
				{"java.lang.ref", "java.lang.ref.ReferenceQueue$Null"},
				{"java.lang.ref", "java.lang.ref.SoftReference"},
				{"java.lang.ref", "java.lang.ref.WeakReference"},
				{"java.lang.reflect", "java.lang.reflect.AccessibleObject"},
				{"java.lang.reflect", "java.lang.reflect.Constructor"},
				{"java.lang.reflect", "java.lang.reflect.Field"},
				{"java.lang.reflect", "java.lang.reflect.Member"},
				{"java.lang.reflect", "java.lang.reflect.Method"},
				{"java.lang.reflect", "java.lang.reflect.Modifier"},
				{"java.lang.reflect", "java.lang.reflect.ReflectAccess"},
				{"java.lang.reflect", "java.lang.reflect.ReflectPermission"},
				{"java.net", "java.net.ContentHandler"},
				{"java.net", "java.net.Parts"},
				{"java.net", "java.net.URL"},
				{"java.net", "java.net.URLClassLoader"},
				{"java.net", "java.net.URLClassLoader$1"},
				{"java.net", "java.net.URLConnection"},
				{"java.net", "java.net.URLStreamHandler"},
				{"java.net", "java.net.URLStreamHandlerFactory"},
				{"java.net", "java.net.UnknownContentHandler"},
				{"java.nio", "java.nio.Bits"},
				{"java.nio", "java.nio.Buffer"},
				{"java.nio", "java.nio.ByteBuffer"},
				{"java.nio", "java.nio.ByteOrder"},
				{"java.nio", "java.nio.CharBuffer"},
				{"java.nio", "java.nio.HeapByteBuffer"},
				{"java.nio", "java.nio.HeapCharBuffer"},
				{"java.nio.charset", "java.nio.charset.Charset"},
				{"java.nio.charset", "java.nio.charset.CharsetDecoder"},
				{"java.nio.charset", "java.nio.charset.CharsetEncoder"},
				{"java.nio.charset", "java.nio.charset.CoderResult"},
				{"java.nio.charset", "java.nio.charset.CoderResult$1"},
				{"java.nio.charset", "java.nio.charset.CoderResult$2"},
				{"java.nio.charset", "java.nio.charset.CoderResult$Cache"},
				{"java.nio.charset", "java.nio.charset.CodingErrorAction"},
				{"java.nio.charset.spi", "java.nio.charset.spi.CharsetProvider"},
				{"java.security", "java.security.AccessControlContext"},
				{"java.security", "java.security.AccessController"},
				{"java.security", "java.security.AllPermission"},
				{"java.security", "java.security.BasicPermission"},
				{"java.security", "java.security.BasicPermissionCollection"},
				{"java.security", "java.security.CodeSource"},
				{"java.security", "java.security.Guard"},
				{"java.security", "java.security.Permission"},
				{"java.security", "java.security.PermissionCollection"},
				{"java.security", "java.security.Permissions"},
				{"java.security", "java.security.Principal"},
				{"java.security", "java.security.PrivilegedAction"},
				{"java.security", "java.security.PrivilegedActionException"},
				{"java.security", "java.security.PrivilegedExceptionAction"},
				{"java.security", "java.security.ProtectionDomain"},
				{"java.security", "java.security.SecureClassLoader"},
				{"java.security", "java.security.UnresolvedPermission"},
				{"java.security.cert", "java.security.cert.Certificate"},
				{"java.util", "java.util.AbstractCollection"},
				{"java.util", "java.util.AbstractList"},
				{"java.util", "java.util.AbstractMap"},
				{"java.util", "java.util.AbstractSet"},
				{"java.util", "java.util.ArrayList"},
				{"java.util", "java.util.BitSet"},
				{"java.util", "java.util.Collection"},
				{"java.util", "java.util.Comparator"},
				{"java.util", "java.util.Dictionary"},
				{"java.util", "java.util.Enumeration"},
				{"java.util", "java.util.HashMap"},
				{"java.util", "java.util.HashMap$Entry"},
				{"java.util", "java.util.HashSet"},
				{"java.util", "java.util.Hashtable"},
				{"java.util", "java.util.Hashtable$EmptyEnumerator"},
				{"java.util", "java.util.Hashtable$EmptyIterator"},
				{"java.util", "java.util.Hashtable$Entry"},
				{"java.util", "java.util.Iterator"},
				{"java.util", "java.util.List"},
				{"java.util", "java.util.Locale"},
				{"java.util", "java.util.Map"},
				{"java.util", "java.util.Map$Entry"},
				{"java.util", "java.util.Properties"},
				{"java.util", "java.util.RandomAccess"},
				{"java.util", "java.util.Set"},
				{"java.util", "java.util.SortedMap"},
				{"java.util", "java.util.Stack"},
				{"java.util", "java.util.StringTokenizer"},
				{"java.util", "java.util.TreeMap"},
				{"java.util", "java.util.TreeMap$Entry"},
				{"java.util", "java.util.Vector"},
				{"java.util.jar", "java.util.jar.JarEntry"},
				{"java.util.jar", "java.util.jar.JarFile"},
				{"java.util.jar", "java.util.jar.JarFile$JarFileEntry"},
				{"java.util.jar", "java.util.jar.JavaUtilJarAccessImpl"},
				{"java.util.zip", "java.util.zip.Inflater"},
				{"java.util.zip", "java.util.zip.InflaterInputStream"},
				{"java.util.zip", "java.util.zip.ZipConstants"},
				{"java.util.zip", "java.util.zip.ZipEntry"},
				{"java.util.zip", "java.util.zip.ZipFile"},
				{"java.util.zip", "java.util.zip.ZipFile$1"},
				{"java.util.zip", "java.util.zip.ZipFile$ZipFileInputStream"},
				{"sun.io", "sun.io.Converters"},
				{"sun.misc", "sun.misc.ASCIICaseInsensitiveComparator"},
				{"sun.misc", "sun.misc.AtomicLong"},
				{"sun.misc", "sun.misc.AtomicLongCSImpl"},
				{"sun.misc", "sun.misc.ExtensionDependency"},
				{"sun.misc", "sun.misc.FileURLMapper"},
				{"sun.misc", "sun.misc.JarIndex"},
				{"sun.misc", "sun.misc.JavaUtilJarAccess"},
				{"sun.misc", "sun.misc.Launcher"},
				{"sun.misc", "sun.misc.Launcher$1"},
				{"sun.misc", "sun.misc.Launcher$2"},
				{"sun.misc", "sun.misc.Launcher$AppClassLoader"},
				{"sun.misc", "sun.misc.Launcher$ExtClassLoader"},
				{"sun.misc", "sun.misc.Launcher$Factory"},
				{"sun.misc", "sun.misc.NativeSignalHandler"},
				{"sun.misc", "sun.misc.Resource"},
				{"sun.misc", "sun.misc.SharedSecrets"},
				{"sun.misc", "sun.misc.Signal"},
				{"sun.misc", "sun.misc.SignalHandler"},
				{"sun.misc", "sun.misc.SoftCache"},
				{"sun.misc", "sun.misc.URLClassPath"},
				{"sun.misc", "sun.misc.URLClassPath$3"},
				{"sun.misc", "sun.misc.URLClassPath$7"},
				{"sun.misc", "sun.misc.URLClassPath$FileLoader"},
				{"sun.misc", "sun.misc.URLClassPath$JarLoader"},
				{"sun.misc", "sun.misc.URLClassPath$Loader"},
				{"sun.misc", "sun.misc.Unsafe"},
				{"sun.misc", "sun.misc.VM"},
				{"sun.misc", "sun.misc.Version"},
				{"sun.net.www", "sun.net.www.MessageHeader"},
				{"sun.net.www", "sun.net.www.ParseUtil"},
				{"sun.net.www", "sun.net.www.URLConnection"},
				{"sun.net.www.protocol.file", "sun.net.www.protocol.file.FileURLConnection"},
				{"sun.net.www.protocol.file", "sun.net.www.protocol.file.Handler"},
				{"sun.net.www.protocol.jar", "sun.net.www.protocol.jar.Handler"},
				{"sun.nio.cs", "sun.nio.cs.AbstractCharsetProvider"},
				{"sun.nio.cs", "sun.nio.cs.HistoricallyNamedCharset"},
				{"sun.nio.cs", "sun.nio.cs.MS1252"},
				{"sun.nio.cs", "sun.nio.cs.MS1252$Decoder"},
				{"sun.nio.cs", "sun.nio.cs.MS1252$Encoder"},
				{"sun.nio.cs", "sun.nio.cs.SingleByteDecoder"},
				{"sun.nio.cs", "sun.nio.cs.SingleByteEncoder"},
				{"sun.nio.cs", "sun.nio.cs.StandardCharsets"},
				{"sun.nio.cs", "sun.nio.cs.StreamEncoder"},
				{"sun.nio.cs", "sun.nio.cs.StreamEncoder$CharsetSE"},
				{"sun.nio.cs", "sun.nio.cs.Surrogate"},
				{"sun.nio.cs", "sun.nio.cs.Surrogate$Parser"},
				{"sun.reflect", "sun.reflect.ConstructorAccessor"},
				{"sun.reflect", "sun.reflect.ConstructorAccessorImpl"},
				{"sun.reflect", "sun.reflect.DelegatingClassLoader"},
				{"sun.reflect", "sun.reflect.DelegatingConstructorAccessorImpl"},
				{"sun.reflect", "sun.reflect.LangReflectAccess"},
				{"sun.reflect", "sun.reflect.MagicAccessorImpl"},
				{"sun.reflect", "sun.reflect.MethodAccessor"},
				{"sun.reflect", "sun.reflect.MethodAccessorImpl"},
				{"sun.reflect", "sun.reflect.NativeConstructorAccessorImpl"},
				{"sun.reflect", "sun.reflect.Reflection"},
				{"sun.reflect", "sun.reflect.ReflectionFactory"},
				{"sun.reflect", "sun.reflect.ReflectionFactory$1"},
				{"sun.reflect", "sun.reflect.ReflectionFactory$GetReflectionFactoryAction"},
				{"sun.security.action", "sun.security.action.GetPropertyAction"},
				{"sun.security.action", "sun.security.action.LoadLibraryAction"},
				{"sun.security.util", "sun.security.util.Debug"}};
		return result;
	}

	public static String[][] getInstanceClasses() {
		String[][] result = {{"java.io", "java.io.BufferedInputStream"},
				{"java.io", "java.io.BufferedOutputStream"},
				{"java.io", "java.io.BufferedWriter"},
				{"java.io", "java.io.DataInput"},
				{"java.io", "java.io.DataInputStream"},
				{"java.io", "java.io.ExpiringCache"},
				{"java.io", "java.io.ExpiringCache$Entry"},
				{"java.io", "java.io.File"},
				{"java.io", "java.io.FileDescriptor"},
				{"java.io", "java.io.FileInputStream"},
				{"java.io", "java.io.FileOutputStream"},
				{"java.io", "java.io.FilePermission"},
				{"java.io", "java.io.FilePermission$1"},
				{"java.io", "java.io.FilePermissionCollection"},
				{"java.io", "java.io.FileSystem"},
				{"java.io", "java.io.FilterInputStream"},
				{"java.io", "java.io.FilterOutputStream"},
				{"java.io", "java.io.InputStream"},
				{"java.io", "java.io.ObjectStreamClass"},
				{"java.io", "java.io.ObjectStreamField"},
				{"java.io", "java.io.OutputStream"},
				{"java.io", "java.io.OutputStreamWriter"},
				{"java.io", "java.io.PrintStream"},
				{"java.io", "java.io.Serializable"},
				{"java.io", "java.io.Win32FileSystem"},
				{"java.io", "java.io.WinNTFileSystem"},
				{"java.io", "java.io.Writer"},
				{"java.lang", "java.lang.ArithmeticException"},
				{"java.lang", "java.lang.ArrayStoreException"},
				{"java.lang", "java.lang.Boolean"},
				{"java.lang", "java.lang.Byte"},
				{"java.lang", "java.lang.CharSequence"},
				{"java.lang", "java.lang.Character"},
				{"java.lang", "java.lang.CharacterDataLatin1"},
				{"java.lang", "java.lang.Class"},
				{"java.lang", "java.lang.Class$1"},
				{"java.lang", "java.lang.Class$3"},
				{"java.lang", "java.lang.ClassCastException"},
				{"java.lang", "java.lang.ClassLoader"},
				{"java.lang", "java.lang.ClassLoader$3"},
				{"java.lang", "java.lang.ClassLoader$NativeLibrary"},
				{"java.lang", "java.lang.ClassNotFoundException"},
				{"java.lang", "java.lang.Cloneable"},
				{"java.lang", "java.lang.Comparable"},
				{"java.lang", "java.lang.Compiler"},
				{"java.lang", "java.lang.Compiler$1"},
				{"java.lang", "java.lang.Double"},
				{"java.lang", "java.lang.Error"},
				{"java.lang", "java.lang.Exception"},
				{"java.lang", "java.lang.Float"},
				{"java.lang", "java.lang.IncompatibleClassChangeError"},
				{"java.lang", "java.lang.Integer"},
				{"java.lang", "java.lang.Integer$1"},
				{"java.lang", "java.lang.LinkageError"},
				{"java.lang", "java.lang.Long"},
				{"java.lang", "java.lang.Long$1"},
				{"java.lang", "java.lang.Math"},
				{"java.lang", "java.lang.NoClassDefFoundError"},
				{"java.lang", "java.lang.NoSuchMethodError"},
				{"java.lang", "java.lang.NullPointerException"},
				{"java.lang", "java.lang.Number"},
				{"java.lang", "java.lang.Object"},
				{"java.lang", "java.lang.OutOfMemoryError"},
				{"java.lang", "java.lang.Runnable"},
				{"java.lang", "java.lang.Runtime"},
				{"java.lang", "java.lang.RuntimeException"},
				{"java.lang", "java.lang.RuntimePermission"},
				{"java.lang", "java.lang.Short"},
				{"java.lang", "java.lang.Shutdown"},
				{"java.lang", "java.lang.Shutdown$Lock"},
				{"java.lang", "java.lang.StackOverflowError"},
				{"java.lang", "java.lang.StrictMath"},
				{"java.lang", "java.lang.String"},
				{"java.lang", "java.lang.String$CaseInsensitiveComparator"},
				{"java.lang", "java.lang.StringBuffer"},
				{"java.lang", "java.lang.StringCoding"},
				{"java.lang", "java.lang.StringCoding$CharsetSD"},
				{"java.lang", "java.lang.StringCoding$StringDecoder"},
				{"java.lang", "java.lang.System"},
				{"java.lang", "java.lang.SystemClassLoaderAction"},
				{"java.lang", "java.lang.Terminator"},
				{"java.lang", "java.lang.Terminator$1"},
				{"java.lang", "java.lang.Thread"},
				{"java.lang", "java.lang.ThreadDeath"},
				{"java.lang", "java.lang.ThreadGroup"},
				{"java.lang", "java.lang.ThreadLocal"},
				{"java.lang", "java.lang.ThreadLocal$ThreadLocalMap"},
				{"java.lang", "java.lang.ThreadLocal$ThreadLocalMap$Entry"},
				{"java.lang", "java.lang.Throwable"},
				{"java.lang", "java.lang.VirtualMachineError"},
				{"java.lang.ref", "java.lang.ref.FinalReference"},
				{"java.lang.ref", "java.lang.ref.Finalizer"},
				{"java.lang.ref", "java.lang.ref.Finalizer$FinalizerThread"},
				{"java.lang.ref", "java.lang.ref.PhantomReference"},
				{"java.lang.ref", "java.lang.ref.Reference"},
				{"java.lang.ref", "java.lang.ref.Reference$Lock"},
				{"java.lang.ref", "java.lang.ref.Reference$ReferenceHandler"},
				{"java.lang.ref", "java.lang.ref.ReferenceQueue"},
				{"java.lang.ref", "java.lang.ref.ReferenceQueue$Lock"},
				{"java.lang.ref", "java.lang.ref.ReferenceQueue$Null"},
				{"java.lang.ref", "java.lang.ref.SoftReference"},
				{"java.lang.ref", "java.lang.ref.WeakReference"},
				{"java.lang.reflect", "java.lang.reflect.AccessibleObject"},
				{"java.lang.reflect", "java.lang.reflect.Constructor"},
				{"java.lang.reflect", "java.lang.reflect.Field"},
				{"java.lang.reflect", "java.lang.reflect.Member"},
				{"java.lang.reflect", "java.lang.reflect.Method"},
				{"java.lang.reflect", "java.lang.reflect.Modifier"},
				{"java.lang.reflect", "java.lang.reflect.ReflectAccess"},
				{"java.lang.reflect", "java.lang.reflect.ReflectPermission"},
				{"java.net", "java.net.ContentHandler"},
				{"java.net", "java.net.Parts"},
				{"java.net", "java.net.URL"},
				{"java.net", "java.net.URLClassLoader"},
				{"java.net", "java.net.URLClassLoader$1"},
				{"java.net", "java.net.URLConnection"},
				{"java.net", "java.net.URLStreamHandler"},
				{"java.net", "java.net.URLStreamHandlerFactory"},
				{"java.net", "java.net.UnknownContentHandler"},
				{"java.nio", "java.nio.Bits"},
				{"java.nio", "java.nio.Buffer"},
				{"java.nio", "java.nio.ByteBuffer"},
				{"java.nio", "java.nio.ByteOrder"},
				{"java.nio", "java.nio.CharBuffer"},
				{"java.nio", "java.nio.HeapByteBuffer"},
				{"java.nio", "java.nio.HeapCharBuffer"},
				{"java.nio.charset", "java.nio.charset.Charset"},
				{"java.nio.charset", "java.nio.charset.CharsetDecoder"},
				{"java.nio.charset", "java.nio.charset.CharsetEncoder"},
				{"java.nio.charset", "java.nio.charset.CoderResult"},
				{"java.nio.charset", "java.nio.charset.CoderResult$1"},
				{"java.nio.charset", "java.nio.charset.CoderResult$2"},
				{"java.nio.charset", "java.nio.charset.CoderResult$Cache"},
				{"java.nio.charset", "java.nio.charset.CodingErrorAction"},
				{"java.nio.charset.spi", "java.nio.charset.spi.CharsetProvider"},
				{"java.security", "java.security.AccessControlContext"},
				{"java.security", "java.security.AccessController"},
				{"java.security", "java.security.AllPermission"},
				{"java.security", "java.security.BasicPermission"},
				{"java.security", "java.security.BasicPermissionCollection"},
				{"java.security", "java.security.CodeSource"},
				{"java.security", "java.security.Guard"},
				{"java.security", "java.security.Permission"},
				{"java.security", "java.security.PermissionCollection"},
				{"java.security", "java.security.Permissions"},
				{"java.security", "java.security.Principal"},
				{"java.security", "java.security.PrivilegedAction"},
				{"java.security", "java.security.PrivilegedActionException"},
				{"java.security", "java.security.PrivilegedExceptionAction"},
				{"java.security", "java.security.ProtectionDomain"},
				{"java.security", "java.security.SecureClassLoader"},
				{"java.security", "java.security.UnresolvedPermission"},
				{"java.security.cert", "java.security.cert.Certificate"},
				{"java.util", "java.util.AbstractCollection"},
				{"java.util", "java.util.AbstractList"},
				{"java.util", "java.util.AbstractMap"},
				{"java.util", "java.util.AbstractSet"},
				{"java.util", "java.util.ArrayList"},
				{"java.util", "java.util.BitSet"},
				{"java.util", "java.util.Collection"},
				{"java.util", "java.util.Comparator"},
				{"java.util", "java.util.Dictionary"},
				{"java.util", "java.util.Enumeration"},
				{"java.util", "java.util.HashMap"},
				{"java.util", "java.util.HashMap$Entry"},
				{"java.util", "java.util.HashSet"},
				{"java.util", "java.util.Hashtable"},
				{"java.util", "java.util.Hashtable$EmptyEnumerator"},
				{"java.util", "java.util.Hashtable$EmptyIterator"},
				{"java.util", "java.util.Hashtable$Entry"},
				{"java.util", "java.util.Iterator"},
				{"java.util", "java.util.List"},
				{"java.util", "java.util.Locale"},
				{"java.util", "java.util.Map"},
				{"java.util", "java.util.Map$Entry"},
				{"java.util", "java.util.Properties"},
				{"java.util", "java.util.RandomAccess"},
				{"java.util", "java.util.Set"},
				{"java.util", "java.util.SortedMap"},
				{"java.util", "java.util.Stack"},
				{"java.util", "java.util.StringTokenizer"},
				{"java.util", "java.util.TreeMap"},
				{"java.util", "java.util.TreeMap$Entry"},
				{"java.util", "java.util.Vector"},
				{"java.util.jar", "java.util.jar.JarEntry"},
				{"java.util.jar", "java.util.jar.JarFile"},
				{"java.util.jar", "java.util.jar.JarFile$JarFileEntry"},
				{"java.util.jar", "java.util.jar.JavaUtilJarAccessImpl"},
				{"java.util.zip", "java.util.zip.Inflater"},
				{"java.util.zip", "java.util.zip.InflaterInputStream"},
				{"java.util.zip", "java.util.zip.ZipConstants"},
				{"java.util.zip", "java.util.zip.ZipEntry"},
				{"java.util.zip", "java.util.zip.ZipFile"},
				{"java.util.zip", "java.util.zip.ZipFile$1"},
				{"java.util.zip", "java.util.zip.ZipFile$ZipFileInputStream"},
				{"sun.io", "sun.io.Converters"},
				{"sun.misc", "sun.misc.ASCIICaseInsensitiveComparator"},
				{"sun.misc", "sun.misc.AtomicLong"},
				{"sun.misc", "sun.misc.AtomicLongCSImpl"},
				{"sun.misc", "sun.misc.ExtensionDependency"},
				{"sun.misc", "sun.misc.FileURLMapper"},
				{"sun.misc", "sun.misc.JarIndex"},
				{"sun.misc", "sun.misc.JavaUtilJarAccess"},
				{"sun.misc", "sun.misc.Launcher"},
				{"sun.misc", "sun.misc.Launcher$1"},
				{"sun.misc", "sun.misc.Launcher$2"},
				{"sun.misc", "sun.misc.Launcher$AppClassLoader"},
				{"sun.misc", "sun.misc.Launcher$ExtClassLoader"},
				{"sun.misc", "sun.misc.Launcher$Factory"},
				{"sun.misc", "sun.misc.NativeSignalHandler"},
				{"sun.misc", "sun.misc.Resource"},
				{"sun.misc", "sun.misc.SharedSecrets"},
				{"sun.misc", "sun.misc.Signal"},
				{"sun.misc", "sun.misc.SignalHandler"},
				{"sun.misc", "sun.misc.SoftCache"},
				{"sun.misc", "sun.misc.URLClassPath"},
				{"sun.misc", "sun.misc.URLClassPath$3"},
				{"sun.misc", "sun.misc.URLClassPath$7"},
				{"sun.misc", "sun.misc.URLClassPath$FileLoader"},
				{"sun.misc", "sun.misc.URLClassPath$JarLoader"},
				{"sun.misc", "sun.misc.URLClassPath$Loader"},
				{"sun.misc", "sun.misc.Unsafe"},
				{"sun.misc", "sun.misc.VM"},
				{"sun.misc", "sun.misc.Version"},
				{"sun.net.www", "sun.net.www.MessageHeader"},
				{"sun.net.www", "sun.net.www.ParseUtil"},
				{"sun.net.www", "sun.net.www.URLConnection"},
				{"sun.net.www.protocol.file", "sun.net.www.protocol.file.FileURLConnection"},
				{"sun.net.www.protocol.file", "sun.net.www.protocol.file.Handler"},
				{"sun.net.www.protocol.jar", "sun.net.www.protocol.jar.Handler"},
				{"sun.nio.cs", "sun.nio.cs.AbstractCharsetProvider"},
				{"sun.nio.cs", "sun.nio.cs.HistoricallyNamedCharset"},
				{"sun.nio.cs", "sun.nio.cs.MS1252"},
				{"sun.nio.cs", "sun.nio.cs.MS1252$Decoder"},
				{"sun.nio.cs", "sun.nio.cs.MS1252$Encoder"},
				{"sun.nio.cs", "sun.nio.cs.SingleByteDecoder"},
				{"sun.nio.cs", "sun.nio.cs.SingleByteEncoder"},
				{"sun.nio.cs", "sun.nio.cs.StandardCharsets"},
				{"sun.nio.cs", "sun.nio.cs.StreamEncoder"},
				{"sun.nio.cs", "sun.nio.cs.StreamEncoder$CharsetSE"},
				{"sun.nio.cs", "sun.nio.cs.Surrogate"},
				{"sun.nio.cs", "sun.nio.cs.Surrogate$Parser"},
				{"sun.reflect", "sun.reflect.ConstructorAccessor"},
				{"sun.reflect", "sun.reflect.ConstructorAccessorImpl"},
				{"sun.reflect", "sun.reflect.DelegatingClassLoader"},
				{"sun.reflect", "sun.reflect.DelegatingConstructorAccessorImpl"},
				{"sun.reflect", "sun.reflect.LangReflectAccess"},
				{"sun.reflect", "sun.reflect.MagicAccessorImpl"},
				{"sun.reflect", "sun.reflect.MethodAccessor"},
				{"sun.reflect", "sun.reflect.MethodAccessorImpl"},
				{"sun.reflect", "sun.reflect.NativeConstructorAccessorImpl"},
				{"sun.reflect", "sun.reflect.Reflection"},
				{"sun.reflect", "sun.reflect.ReflectionFactory"},
				{"sun.reflect", "sun.reflect.ReflectionFactory$1"},
				{"sun.reflect", "sun.reflect.ReflectionFactory$GetReflectionFactoryAction"},
				{"sun.security.action", "sun.security.action.GetPropertyAction"},
				{"sun.security.action", "sun.security.action.LoadLibraryAction"},
				{"sun.security.util", "sun.security.util.Debug"}};
		return result;
	}

	public static String[][] getMethods() {
		String[][] result = {{"java.nio.charset", "java.nio.charset.CoderResult", "", "boolean", "isOverflow"},
				{"java.io", "java.io.FileInputStream", "", "int", "readBytes", "", "byte[]", "", "int", "", "int"},
				{"java.lang", "java.lang.String", "", "void", "<init>", "", "int", "", "int", "", "char[]"},
				{"java.lang", "java.lang.Thread", "", "void", "setPriority0", "", "int"},
				{"java.util", "java.util.HashMap", "", "boolean", "containsKey", "java.lang", "java.lang.Object"},
				{"java.lang", "java.lang.ClassLoader", "java.lang", "java.lang.Class", "findLoadedClass", "java.lang", "java.lang.String"},
				{"java.nio", "java.nio.Buffer", "", "void", "<init>", "", "int", "", "int", "", "int", "", "int"},
				{"java.net", "java.net.URLStreamHandler", "", "void", "parseURL", "java.net", "java.net.URL", "java.lang", "java.lang.String", "", "int", "", "int"},
				{"java.lang", "java.lang.ClassLoader", "", "void", "checkPackageAccess", "java.lang", "java.lang.Class", "java.security", "java.security.ProtectionDomain"},
				{"java.lang", "java.lang.ClassLoader", "", "void", "check"},
				{"sun.nio.cs", "sun.nio.cs.SingleByteDecoder", "java.nio.charset", "java.nio.charset.CoderResult", "decodeLoop", "java.nio", "java.nio.ByteBuffer", "java.nio", "java.nio.CharBuffer"},
				{"java.io", "java.io.BufferedOutputStream", "", "void", "flush"},
				{"java.util.zip", "java.util.zip.ZipFile", "java.io", "java.io.InputStream", "getInputStream", "java.lang", "java.lang.String"},
				{"java.io", "java.io.WinNTFileSystem", "", "long", "getLength", "java.io", "java.io.File"},
				{"java.util.zip", "java.util.zip.ZipFile", "", "int", "getTotal", "", "long"},
				{"java.util.zip", "java.util.zip.Inflater", "", "void", "<clinit>"},
				{"java.io", "java.io.ExpiringCache$Entry", "", "long", "timestamp"},
				{"java.lang", "java.lang.ClassLoader", "", "boolean", "checkName", "java.lang", "java.lang.String", "", "boolean"},
				{"java.lang", "java.lang.String", "", "int", "indexOf", "", "int", "", "int"},
				{"java.io", "java.io.FileOutputStream", "", "void", "writeBytes", "", "byte[]", "", "int", "", "int"},
				{"java.io", "java.io.Win32FileSystem", "java.lang", "java.lang.String", "slashify", "java.lang", "java.lang.String"},
				{"java.lang", "java.lang.Runtime", "", "void", "loadLibrary0", "java.lang", "java.lang.Class", "java.lang", "java.lang.String"},
				{"java.lang", "java.lang.Exception", "", "void", "<init>", "java.lang", "java.lang.Throwable"},
				{"java.lang", "java.lang.ThreadLocal$ThreadLocalMap$Entry", "", "void", "<init>", "java.lang", "java.lang.ThreadLocal", "java.lang", "java.lang.Object", "java.lang", "java.lang.ThreadLocal$1"},
				{"java.security", "java.security.PermissionCollection", "", "void", "<init>"},
				{"java.lang.ref", "java.lang.ref.SoftReference", "", "void", "<init>", "java.lang", "java.lang.Object"},
				{"java.lang", "java.lang.ClassLoader", "", "boolean", "loadLibrary0", "java.lang", "java.lang.Class", "java.io", "java.io.File"},
				{"java.util.zip", "java.util.zip.ZipEntry", "", "void", "initFields", "", "long"},
				{"java.io", "java.io.FileInputStream", "", "int", "read", "", "byte[]", "", "int", "", "int"},
				{"java.nio", "java.nio.ByteBuffer", "", "boolean", "hasArray"},
				{"java.util.zip", "java.util.zip.ZipFile", "", "long", "open", "java.lang", "java.lang.String", "", "int", "", "long"},
				{"java.io", "java.io.FileOutputStream", "", "void", "write", "", "byte[]", "", "int", "", "int"},
				{"java.net", "java.net.URL", "", "void", "set", "java.lang", "java.lang.String", "java.lang", "java.lang.String", "", "int", "java.lang", "java.lang.String", "java.lang", "java.lang.String", "java.lang", "java.lang.String", "java.lang", "java.lang.String", "java.lang", "java.lang.String"},
				{"java.net", "java.net.URLStreamHandler", "java.net", "java.net.InetAddress", "getHostAddress", "java.net", "java.net.URL"},
				{"java.nio", "java.nio.ByteBuffer", "java.nio", "java.nio.ByteBuffer", "wrap", "", "byte[]", "", "int", "", "int"},
				{"java.util", "java.util.Vector", "", "void", "removeElementAt", "", "int"},
				{"java.lang", "java.lang.String", "java.lang", "java.lang.String", "toLowerCase"},
				{"java.lang", "java.lang.Thread", "java.lang", "java.lang.Thread", "currentThread"},
				{"java.lang", "java.lang.String", "", "int", "indexOf", "", "char[]", "", "int", "", "int", "", "char[]", "", "int", "", "int", "", "int"},
				{"java.security", "java.security.PrivilegedActionException", "", "void", "<init>", "java.lang", "java.lang.Exception"},
				{"java.io", "java.io.Win32FileSystem", "", "boolean", "isLetter", "", "char"},
				{"java.io", "java.io.BufferedOutputStream", "", "void", "flushBuffer"},
				{"java.util", "java.util.HashMap", "", "int", "indexFor", "", "int", "", "int"},
				{"java.io", "java.io.PrintStream", "", "void", "print", "java.lang", "java.lang.String"},
				{"sun.nio.cs", "sun.nio.cs.SingleByteEncoder", "java.nio.charset", "java.nio.charset.CoderResult", "encodeLoop", "java.nio", "java.nio.CharBuffer", "java.nio", "java.nio.ByteBuffer"},
				{"java.io", "java.io.ObjectStreamClass", "java.lang", "java.lang.String", "getClassSignature", "java.lang", "java.lang.Class"},
				{"java.lang", "java.lang.Thread", "", "void", "checkAccess"},
				{"java.nio.charset", "java.nio.charset.Charset", "java.nio.charset", "java.nio.charset.Charset", "forName", "java.lang", "java.lang.String"},
				{"java.lang", "java.lang.ClassLoader", "java.lang", "java.lang.Class", "loadClassInternal", "java.lang", "java.lang.String"},
				{"java.io", "java.io.ExpiringCache", "java.io", "java.io.ExpiringCache$Entry", "entryFor", "java.lang", "java.lang.String"},
				{"java.security", "java.security.SecureClassLoader", "java.security", "java.security.ProtectionDomain", "getProtectionDomain", "java.security", "java.security.CodeSource"},
				{"java.nio", "java.nio.CharBuffer", "", "void", "<init>", "", "int", "", "int", "", "int", "", "int", "", "char[]", "", "int"},
				{"java.lang", "java.lang.CharacterDataLatin1", "", "int", "getProperties", "", "char"},
				{"java.lang", "java.lang.StringCoding", "", "char[]", "access$000", "", "char[]", "", "int"},
				{"java.lang", "java.lang.Byte", "", "void", "<clinit>"},
				{"java.lang.ref", "java.lang.ref.Finalizer", "", "void", "register", "java.lang", "java.lang.Object"},
				{"java.lang", "java.lang.ClassLoader", "java.lang", "java.lang.Class", "defineClass", "java.lang", "java.lang.String", "", "byte[]", "", "int", "", "int", "java.security", "java.security.ProtectionDomain"},
				{"java.lang", "java.lang.String", "", "int", "indexOf", "java.lang", "java.lang.String"},
				{"java.util.zip", "java.util.zip.ZipFile", "", "void", "ensureOpen", "", "long"},
				{"sun.misc", "sun.misc.SharedSecrets", "sun.misc", "sun.misc.JavaUtilJarAccess", "javaUtilJarAccess"},
				{"sun.misc", "sun.misc.URLClassPath$7", "java.net", "java.net.URL", "getCodeSourceURL"},
				{"java.security", "java.security.AccessControlContext", "java.security", "java.security.AccessControlContext", "optimize"},
				{"java.util.zip", "java.util.zip.Inflater", "", "void", "initIDs"},
				{"java.util", "java.util.HashMap", "", "void", "<init>", "", "int"},
				{"java.nio", "java.nio.HeapByteBuffer", "", "void", "<init>", "", "byte[]", "", "int", "", "int"},
				{"java.security", "java.security.AccessController", "java.lang", "java.lang.Object", "doPrivileged", "java.security", "java.security.PrivilegedAction"},
				{"java.nio", "java.nio.ByteBuffer", "", "int", "arrayOffset"},
				{"sun.nio.cs", "sun.nio.cs.Surrogate", "", "boolean", "is", "", "int"},
				{"java.lang", "java.lang.ClassLoader$NativeLibrary", "", "long", "find", "java.lang", "java.lang.String"},
				{"java.lang", "java.lang.ClassLoader", "", "void", "checkCerts", "java.lang", "java.lang.String", "java.security", "java.security.CodeSource"},
				{"java.net", "java.net.URLStreamHandler", "", "void", "setURL", "java.net", "java.net.URL", "java.lang", "java.lang.String", "java.lang", "java.lang.String", "", "int", "java.lang", "java.lang.String", "java.lang", "java.lang.String", "java.lang", "java.lang.String", "java.lang", "java.lang.String", "java.lang", "java.lang.String"},
				{"java.lang", "java.lang.System", "java.lang", "java.lang.String", "getProperty", "java.lang", "java.lang.String"},
				{"sun.misc", "sun.misc.URLClassPath$7", "", "void", "<init>", "sun.misc", "sun.misc.URLClassPath$FileLoader", "java.lang", "java.lang.String", "java.net", "java.net.URL", "java.io", "java.io.File"},
				{"java.util", "java.util.Vector", "", "int", "size"},
				{"java.util.jar", "java.util.jar.JarFile$JarFileEntry", "", "void", "<init>", "java.util.jar", "java.util.jar.JarFile", "java.util.zip", "java.util.zip.ZipEntry"},
				{"java.io", "java.io.ObjectStreamField", "", "void", "<init>", "java.lang", "java.lang.String", "java.lang", "java.lang.Class", "", "boolean"},
				{"java.net", "java.net.URL", "java.net", "java.net.URLConnection", "openConnection"},
				{"java.util.zip", "java.util.zip.ZipFile$ZipFileInputStream", "", "void", "<init>", "java.util.zip", "java.util.zip.ZipFile", "", "long", "java.util.zip", "java.util.zip.ZipFile"},
				{"java.lang", "java.lang.Class", "java.lang", "java.lang.Class", "forName", "java.lang", "java.lang.String"},
				{"java.lang", "java.lang.ClassLoader", "", "void", "loadLibrary", "java.lang", "java.lang.Class", "java.lang", "java.lang.String", "", "boolean"},
				{"java.util", "java.util.HashSet", "", "boolean", "add", "java.lang", "java.lang.Object"},
				{"java.util.zip", "java.util.zip.Inflater", "", "int", "inflateBytes", "", "byte[]", "", "int", "", "int"},
				{"sun.nio.cs", "sun.nio.cs.StreamEncoder", "", "void", "write", "", "char[]", "", "int", "", "int"},
				{"sun.net.www", "sun.net.www.MessageHeader", "", "void", "grow"},
				{"java.security", "java.security.AccessController", "java.security", "java.security.AccessControlContext", "getInheritedAccessControlContext"},
				{"java.util", "java.util.HashMap", "", "void", "<init>", "", "int", "", "float"},
				{"sun.misc", "sun.misc.URLClassPath$JarLoader", "java.util.jar", "java.util.jar.JarFile", "getJarFile", "java.net", "java.net.URL"},
				{"java.lang", "java.lang.Character", "", "char", "toUpperCase", "", "char"},
				{"java.lang", "java.lang.ClassLoader", "java.lang", "java.lang.Class", "findBootstrapClass", "java.lang", "java.lang.String"},
				{"java.io", "java.io.WinNTFileSystem", "java.lang", "java.lang.String", "canonicalize0", "java.lang", "java.lang.String"},
				{"java.lang", "java.lang.Boolean", "", "void", "<init>", "", "boolean"},
				{"java.lang", "java.lang.ThreadGroup", "", "void", "add", "java.lang", "java.lang.Thread"},
				{"java.net", "java.net.URLClassLoader", "java.lang", "java.lang.Class", "access$100", "java.net", "java.net.URLClassLoader", "java.lang", "java.lang.String", "sun.misc", "sun.misc.Resource"},
				{"java.io", "java.io.Win32FileSystem", "java.lang", "java.lang.String", "canonicalize", "java.lang", "java.lang.String"},
				{"java.lang", "java.lang.StringBuffer", "java.lang", "java.lang.StringBuffer", "append", "", "char"},
				{"java.util", "java.util.Hashtable", "", "void", "<init>", "", "int", "", "float"},
				{"java.lang", "java.lang.StringBuffer", "java.lang", "java.lang.String", "toString"},
				{"java.lang", "java.lang.StringCoding", "", "char[]", "trim", "", "char[]", "", "int"},
				{"java.util.zip", "java.util.zip.ZipFile", "", "int", "access$1000", "", "long", "", "long", "", "int", "", "byte[]", "", "int", "", "int"},
				{"java.security", "java.security.SecureClassLoader", "java.security", "java.security.PermissionCollection", "getPermissions", "java.security", "java.security.CodeSource"},
				{"java.net", "java.net.URLClassLoader$1", "java.lang", "java.lang.Object", "run"},
				{"java.security", "java.security.CodeSource", "", "int", "hashCode"},
				{"java.lang", "java.lang.RuntimePermission", "", "void", "<init>", "java.lang", "java.lang.String"},
				{"sun.net.www.protocol.file", "sun.net.www.protocol.file.FileURLConnection", "java.security", "java.security.Permission", "getPermission"},
				{"sun.security.action", "sun.security.action.GetPropertyAction", "", "void", "<init>", "java.lang", "java.lang.String"},
				{"java.lang", "java.lang.ClassLoader", "", "long", "findNative", "java.lang", "java.lang.ClassLoader", "java.lang", "java.lang.String"},
				{"sun.nio.cs", "sun.nio.cs.StreamEncoder$CharsetSE", "", "void", "writeBytes"},
				{"java.security", "java.security.BasicPermission", "", "void", "init", "java.lang", "java.lang.String"},
				{"java.security", "java.security.AccessController", "java.security", "java.security.AccessControlContext", "getContext"},
				{"java.util.zip", "java.util.zip.InflaterInputStream", "", "void", "ensureOpen"},
				{"java.security", "java.security.BasicPermissionCollection", "java.lang", "java.lang.Class", "class$", "java.lang", "java.lang.String"},
				{"java.lang", "java.lang.Class", "java.lang", "java.lang.String", "getName0"},
				{"java.lang", "java.lang.Character", "", "int", "digit", "", "char", "", "int"},
				{"java.lang", "java.lang.CharacterDataLatin1", "", "char", "toLowerCase", "", "char"},
				{"java.io", "java.io.File", "", "void", "<init>", "java.lang", "java.lang.String", "java.lang", "java.lang.String"},
				{"java.security", "java.security.Permissions", "", "void", "<init>"},
				{"java.lang", "java.lang.ThreadLocal", "", "void", "createMap", "java.lang", "java.lang.Thread", "java.lang", "java.lang.Object"},
				{"java.lang", "java.lang.String", "", "boolean", "startsWith", "java.lang", "java.lang.String"},
				{"java.util", "java.util.Vector", "", "boolean", "add", "java.lang", "java.lang.Object"},
				{"java.lang", "java.lang.String", "", "void", "<init>", "", "byte[]", "", "int", "", "int"},
				{"java.nio.charset", "java.nio.charset.CharsetDecoder", "java.nio.charset", "java.nio.charset.CharsetDecoder", "reset"},
				{"java.util.zip", "java.util.zip.ZipEntry", "", "void", "<init>", "java.lang", "java.lang.String", "", "long"},
				{"java.util.zip", "java.util.zip.ZipFile", "", "void", "<init>", "java.io", "java.io.File", "", "int"},
				{"java.nio", "java.nio.CharBuffer", "java.nio", "java.nio.CharBuffer", "wrap", "", "char[]"},
				{"java.lang", "java.lang.CharacterDataLatin1", "", "int", "digit", "", "char", "", "int"},
				{"java.lang.ref", "java.lang.ref.Finalizer", "", "void", "<init>", "java.lang", "java.lang.Object"},
				{"java.util.zip", "java.util.zip.ZipEntry", "", "long", "getSize"},
				{"java.lang", "java.lang.ClassLoader$3", "java.lang", "java.lang.Object", "run"},
				{"java.util", "java.util.Vector", "", "void", "<init>"},
				{"java.lang", "java.lang.String", "", "int", "indexOf", "", "int"},
				{"java.io", "java.io.FilePermission", "", "void", "init", "", "int"},
				{"sun.misc", "sun.misc.Resource", "", "void", "<init>"},
				{"java.util", "java.util.Stack", "", "boolean", "empty"},
				{"java.util", "java.util.HashMap", "", "int", "hash", "java.lang", "java.lang.Object"},
				{"sun.misc", "sun.misc.Resource", "", "byte[]", "getBytes"},
				{"java.io", "java.io.Win32FileSystem", "java.lang", "java.lang.String", "resolve", "java.lang", "java.lang.String", "java.lang", "java.lang.String"},
				{"java.util", "java.util.Vector", "java.lang", "java.lang.Object", "elementAt", "", "int"},
				{"sun.misc", "sun.misc.FileURLMapper", "", "boolean", "exists"},
				{"java.util.zip", "java.util.zip.ZipFile", "", "long", "access$100", "java.util.zip", "java.util.zip.ZipFile"},
				{"sun.misc", "sun.misc.SharedSecrets", "", "void", "<clinit>"},
				{"java.lang", "java.lang.ThreadLocal$ThreadLocalMap", "", "void", "access$100", "java.lang", "java.lang.ThreadLocal$ThreadLocalMap", "java.lang", "java.lang.ThreadLocal", "java.lang", "java.lang.Object"},
				{"sun.io", "sun.io.Converters", "java.lang", "java.lang.String", "getDefaultEncodingName"},
				{"java.lang", "java.lang.ThreadGroup", "", "void", "checkAccess"},
				{"java.lang", "java.lang.ThreadLocal$ThreadLocalMap$Entry", "java.lang", "java.lang.Object", "access$502", "java.lang", "java.lang.ThreadLocal$ThreadLocalMap$Entry", "java.lang", "java.lang.Object"},
				{"java.lang", "java.lang.ClassLoader", "java.lang", "java.lang.Class", "defineClass0", "java.lang", "java.lang.String", "", "byte[]", "", "int", "", "int", "java.security", "java.security.ProtectionDomain"},
				{"java.lang.ref", "java.lang.ref.Finalizer", "", "void", "add"},
				{"java.io", "java.io.FilePermission", "java.security", "java.security.PermissionCollection", "newPermissionCollection"},
				{"java.util", "java.util.Hashtable", "java.lang", "java.lang.Object", "put", "java.lang", "java.lang.Object", "java.lang", "java.lang.Object"},
				{"java.lang", "java.lang.ThreadLocal", "", "void", "set", "java.lang", "java.lang.Object"},
				{"java.lang", "java.lang.ThreadLocal$ThreadLocalMap", "", "void", "set", "java.lang", "java.lang.ThreadLocal", "java.lang", "java.lang.Object"},
				{"java.util.zip", "java.util.zip.ZipEntry", "", "void", "<clinit>"},
				{"java.net", "java.net.URLConnection", "", "void", "<init>", "java.net", "java.net.URL"},
				{"java.io", "java.io.PrintStream", "", "void", "ensureOpen"},
				{"java.nio", "java.nio.CharBuffer", "", "boolean", "hasArray"},
				{"java.security", "java.security.Permissions", "java.security", "java.security.PermissionCollection", "getPermissionCollection", "java.security", "java.security.Permission", "", "boolean"},
				{"java.io", "java.io.File", "", "long", "lastModified"},
				{"java.lang", "java.lang.String", "", "int", "indexOf", "java.lang", "java.lang.String", "", "int"},
				{"java.net", "java.net.URLClassLoader", "java.lang", "java.lang.Class", "defineClass", "java.lang", "java.lang.String", "sun.misc", "sun.misc.Resource"},
				{"java.io", "java.io.InputStream", "", "void", "<init>"},
				{"java.lang", "java.lang.Exception", "", "void", "<init>", "java.lang", "java.lang.String", "java.lang", "java.lang.Throwable"},
				{"java.security", "java.security.BasicPermissionCollection", "", "void", "<init>"},
				{"java.lang", "java.lang.ThreadLocal$ThreadLocalMap$Entry", "", "void", "<init>", "java.lang", "java.lang.ThreadLocal", "java.lang", "java.lang.Object"},
				{"java.util", "java.util.ArrayList", "", "void", "<init>"},
				{"java.lang.ref", "java.lang.ref.WeakReference", "", "void", "<init>", "java.lang", "java.lang.Object"},
				{"java.io", "java.io.File", "java.lang", "java.lang.String", "getCanonicalPath"},
				{"java.lang", "java.lang.String", "java.lang", "java.lang.String", "replace", "", "char", "", "char"},
				{"java.io", "java.io.WinNTFileSystem", "", "int", "getBooleanAttributes", "java.io", "java.io.File"},
				{"java.security", "java.security.AccessController", "java.lang", "java.lang.Object", "doPrivileged", "java.security", "java.security.PrivilegedExceptionAction"},
				{"java.util", "java.util.ArrayList", "", "void", "RangeCheck", "", "int"},
				{"java.util.zip", "java.util.zip.Inflater", "", "boolean", "finished"},
				{"sun.misc", "sun.misc.URLClassPath$FileLoader", "sun.misc", "sun.misc.Resource", "getResource", "java.lang", "java.lang.String", "", "boolean"},
				{"java.lang", "java.lang.String", "java.lang", "java.lang.String", "intern"},
				{"java.nio.charset", "java.nio.charset.CharsetDecoder", "java.nio.charset", "java.nio.charset.CharsetDecoder", "replaceWith", "java.lang", "java.lang.String"},
				{"java.util", "java.util.HashMap", "java.lang", "java.lang.Object", "put", "java.lang", "java.lang.Object", "java.lang", "java.lang.Object"},
				{"java.util.zip", "java.util.zip.Inflater", "", "boolean", "needsDictionary"},
				{"java.io", "java.io.FilePermissionCollection", "", "void", "<clinit>"},
				{"java.lang", "java.lang.StringCoding", "", "void", "set", "java.lang", "java.lang.ThreadLocal", "java.lang", "java.lang.Object"},
				{"java.lang", "java.lang.StringBuffer", "", "void", "<init>", "", "int"},
				{"java.lang", "java.lang.Character", "", "char", "toLowerCase", "", "char"},
				{"java.io", "java.io.DataInputStream", "", "void", "<init>", "java.io", "java.io.InputStream"},
				{"sun.misc", "sun.misc.URLClassPath$FileLoader", "", "void", "<init>", "java.net", "java.net.URL"},
				{"java.nio.charset", "java.nio.charset.Charset", "", "boolean", "isSupported", "java.lang", "java.lang.String"},
				{"sun.nio.cs", "sun.nio.cs.SingleByteDecoder", "java.nio.charset", "java.nio.charset.CoderResult", "decodeArrayLoop", "java.nio", "java.nio.ByteBuffer", "java.nio", "java.nio.CharBuffer"},
				{"java.util.zip", "java.util.zip.InflaterInputStream", "", "int", "read", "", "byte[]", "", "int", "", "int"},
				{"java.io", "java.io.DataInputStream", "", "void", "readFully", "", "byte[]", "", "int", "", "int"},
				{"java.lang", "java.lang.ClassLoader", "java.lang", "java.lang.Class", "loadClass", "java.lang", "java.lang.String", "", "boolean"},
				{"java.lang", "java.lang.ClassLoader", "java.lang", "java.lang.ClassLoader", "getCallerClassLoader"},
				{"java.io", "java.io.PrintStream", "", "void", "write", "", "byte[]", "", "int", "", "int"},
				{"java.net", "java.net.URLClassLoader$1", "", "void", "<init>", "java.net", "java.net.URLClassLoader", "java.lang", "java.lang.String"},
				{"java.lang.ref", "java.lang.ref.Reference", "", "void", "<init>", "java.lang", "java.lang.Object"},
				{"java.lang", "java.lang.String", "java.lang", "java.lang.String", "concat", "java.lang", "java.lang.String"},
				{"java.lang", "java.lang.Class", "java.lang", "java.lang.Class", "forName0", "java.lang", "java.lang.String", "", "boolean", "java.lang", "java.lang.ClassLoader"},
				{"java.lang", "java.lang.Runtime", "java.lang", "java.lang.Runtime", "getRuntime"},
				{"java.util.jar", "java.util.jar.JavaUtilJarAccessImpl", "", "boolean", "jarFileHasClassPathAttribute", "java.util.jar", "java.util.jar.JarFile"},
				{"sun.misc", "sun.misc.URLClassPath", "sun.misc", "sun.misc.Resource", "getResource", "java.lang", "java.lang.String", "", "boolean"},
				{"java.lang", "java.lang.ClassNotFoundException", "", "void", "<init>", "java.lang", "java.lang.String"},
				{"java.io", "java.io.WinNTFileSystem", "", "long", "getLastModifiedTime", "java.io", "java.io.File"},
				{"java.lang", "java.lang.System", "java.lang", "java.lang.SecurityManager", "getSecurityManager"},
				{"java.security", "java.security.BasicPermission", "", "void", "<init>", "java.lang", "java.lang.String"},
				{"java.lang", "java.lang.Throwable", "java.lang", "java.lang.Throwable", "fillInStackTrace"},
				{"java.util.jar", "java.util.jar.JarEntry", "", "void", "<init>", "java.util.zip", "java.util.zip.ZipEntry"},
				{"java.util", "java.util.HashMap", "java.lang", "java.lang.Object", "maskNull", "java.lang", "java.lang.Object"},
				{"sun.net.www", "sun.net.www.ParseUtil", "", "char", "unescape", "java.lang", "java.lang.String", "", "int"},
				{"java.util.zip", "java.util.zip.ZipFile", "", "void", "initIDs"},
				{"java.util.zip", "java.util.zip.InflaterInputStream", "", "void", "<init>", "java.io", "java.io.InputStream", "java.util.zip", "java.util.zip.Inflater"},
				{"java.nio", "java.nio.CharBuffer", "", "int", "arrayOffset"},
				{"java.io", "java.io.Win32FileSystem", "java.lang", "java.lang.String", "resolve", "java.io", "java.io.File"},
				{"java.net", "java.net.URLClassLoader", "java.lang", "java.lang.Class", "findClass", "java.lang", "java.lang.String"},
				{"java.nio.charset", "java.nio.charset.CharsetDecoder", "", "float", "maxCharsPerByte"},
				{"java.net", "java.net.URL", "", "void", "<init>", "java.net", "java.net.URL", "java.lang", "java.lang.String"},
				{"sun.nio.cs", "sun.nio.cs.MS1252$Decoder", "", "void", "<init>", "java.nio.charset", "java.nio.charset.Charset"},
				{"java.security", "java.security.Permissions", "", "void", "<clinit>"},
				{"java.net", "java.net.URL", "", "void", "<init>", "java.lang", "java.lang.String", "java.lang", "java.lang.String", "", "int", "java.lang", "java.lang.String", "java.net", "java.net.URLStreamHandler"},
				{"java.lang", "java.lang.Long$1", "", "void", "<init>"},
				{"sun.net.www", "sun.net.www.ParseUtil", "java.lang", "java.lang.String", "decode", "java.lang", "java.lang.String"},
				{"java.io", "java.io.ExpiringCache$Entry", "", "void", "<init>", "", "long", "java.lang", "java.lang.String"},
				{"java.util.jar", "java.util.jar.JarFile", "java.util.zip", "java.util.zip.ZipEntry", "getEntry", "java.lang", "java.lang.String"},
				{"java.security", "java.security.SecureClassLoader", "java.lang", "java.lang.Class", "defineClass", "java.lang", "java.lang.String", "", "byte[]", "", "int", "", "int", "java.security", "java.security.CodeSource"},
				{"java.io", "java.io.Win32FileSystem", "java.lang", "java.lang.String", "parentOrNull", "java.lang", "java.lang.String"},
				{"java.util.zip", "java.util.zip.ZipFile", "java.io", "java.io.InputStream", "getInputStream", "java.util.zip", "java.util.zip.ZipEntry"},
				{"java.lang", "java.lang.ThreadLocal", "java.lang", "java.lang.ThreadLocal$ThreadLocalMap", "getMap", "java.lang", "java.lang.Thread"},
				{"java.lang", "java.lang.Class", "", "boolean", "isArray"},
				{"java.util.zip", "java.util.zip.ZipFile", "", "void", "access$700", "", "long", "", "long"},
				{"sun.misc", "sun.misc.Launcher$AppClassLoader", "java.lang", "java.lang.Class", "loadClass", "java.lang", "java.lang.String", "", "boolean"},
				{"java.lang", "java.lang.ThreadLocal$ThreadLocalMap", "", "void", "<init>", "java.lang", "java.lang.ThreadLocal", "java.lang", "java.lang.Object"},
				{"java.security", "java.security.Permission", "", "void", "<init>", "java.lang", "java.lang.String"},
				{"java.lang", "java.lang.Throwable", "", "void", "<init>", "java.lang", "java.lang.String", "java.lang", "java.lang.Throwable"},
				{"java.util.zip", "java.util.zip.ZipEntry", "", "void", "initIDs"},
				{"java.lang.ref", "java.lang.ref.Reference", "", "void", "<init>", "java.lang", "java.lang.Object", "java.lang.ref", "java.lang.ref.ReferenceQueue"},
				{"java.nio", "java.nio.Buffer", "java.nio", "java.nio.Buffer", "clear"},
				{"java.lang", "java.lang.StringCoding$CharsetSD", "", "void", "<init>", "java.nio.charset", "java.nio.charset.Charset", "java.lang", "java.lang.String"},
				{"sun.misc", "sun.misc.URLClassPath$JarLoader", "java.net", "java.net.URL", "getClassPath"},
				{"java.util", "java.util.ArrayList", "", "void", "ensureCapacity", "", "int"},
				{"java.util.jar", "java.util.jar.JarFile", "", "boolean", "hasClassPathAttribute"},
				{"java.lang", "java.lang.Thread", "", "void", "init", "java.lang", "java.lang.ThreadGroup", "java.lang", "java.lang.Runnable", "java.lang", "java.lang.String", "", "long"},
				{"java.lang", "java.lang.Class", "java.lang", "java.lang.ClassLoader", "getClassLoader"},
				{"sun.misc", "sun.misc.FileURLMapper", "java.lang", "java.lang.String", "getPath"},
				{"java.util", "java.util.AbstractList", "", "void", "<init>"},
				{"java.lang", "java.lang.Class", "java.lang", "java.lang.ClassLoader", "getClassLoader0"},
				{"java.lang", "java.lang.System", "java.lang", "java.lang.Class", "getCallerClass"},
				{"java.util", "java.util.Vector", "", "void", "addElement", "java.lang", "java.lang.Object"},
				{"java.util.zip", "java.util.zip.Inflater", "", "void", "<init>", "", "boolean"},
				{"java.util.zip", "java.util.zip.ZipFile", "", "int", "getMethod", "", "long"},
				{"sun.misc", "sun.misc.URLClassPath$3", "java.lang", "java.lang.Object", "run"},
				{"java.util", "java.util.Hashtable$Entry", "", "void", "<init>", "", "int", "java.lang", "java.lang.Object", "java.lang", "java.lang.Object", "java.util", "java.util.Hashtable$Entry"},
				{"java.security", "java.security.CodeSource", "java.security.cert", "java.security.cert.Certificate", "getCertificates"},
				{"java.nio", "java.nio.Buffer", "java.nio", "java.nio.Buffer", "flip"},
				{"java.lang", "java.lang.Float", "", "int", "floatToIntBits", "", "float"},
				{"java.nio", "java.nio.HeapCharBuffer", "", "void", "<init>", "", "char[]", "", "int", "", "int"},
				{"java.io", "java.io.FilePermission$1", "", "void", "<init>", "java.io", "java.io.FilePermission"},
				{"java.lang", "java.lang.String", "", "char[]", "toCharArray"},
				{"java.util.jar", "java.util.jar.JavaUtilJarAccessImpl", "", "void", "<init>"},
				{"java.lang", "java.lang.Double", "", "long", "doubleToLongBits", "", "double"},
				{"java.io", "java.io.ExpiringCache", "java.lang", "java.lang.String", "get", "java.lang", "java.lang.String"},
				{"java.io", "java.io.BufferedWriter", "", "void", "flushBuffer"},
				{"java.util.zip", "java.util.zip.ZipFile", "", "int", "read", "", "long", "", "long", "", "int", "", "byte[]", "", "int", "", "int"},
				{"sun.net.www.protocol.file", "sun.net.www.protocol.file.Handler", "", "void", "parseURL", "java.net", "java.net.URL", "java.lang", "java.lang.String", "", "int", "", "int"},
				{"java.nio.charset", "java.nio.charset.CharsetDecoder", "java.nio.charset", "java.nio.charset.CoderResult", "implFlush", "java.nio", "java.nio.CharBuffer"},
				{"java.util.jar", "java.util.jar.JarFile", "", "void", "<init>", "java.io", "java.io.File", "", "boolean", "", "int"},
				{"java.io", "java.io.PrintStream", "", "void", "println", "java.lang", "java.lang.String"},
				{"java.lang", "java.lang.String", "java.lang", "java.lang.String", "valueOf", "java.lang", "java.lang.Object"},
				{"java.util.zip", "java.util.zip.ZipFile$1", "", "void", "fill"},
				{"java.nio", "java.nio.Buffer", "", "boolean", "hasRemaining"},
				{"java.util", "java.util.Dictionary", "", "void", "<init>"},
				{"sun.misc", "sun.misc.SharedSecrets", "", "void", "setJavaUtilJarAccess", "sun.misc", "sun.misc.JavaUtilJarAccess"},
				{"java.util.zip", "java.util.zip.ZipFile", "", "int", "access$900", "", "long"},
				{"java.io", "java.io.FilePermissionCollection", "", "void", "add", "java.security", "java.security.Permission"},
				{"java.util.zip", "java.util.zip.ZipFile", "", "int", "getSize", "", "long"},
				{"java.security", "java.security.PermissionCollection", "", "void", "setReadOnly"},
				{"java.net", "java.net.URLStreamHandler", "", "int", "hashCode", "java.net", "java.net.URL"},
				{"sun.reflect", "sun.reflect.Reflection", "java.lang", "java.lang.Class", "getCallerClass", "", "int"},
				{"java.security", "java.security.CodeSource", "", "void", "<init>", "java.net", "java.net.URL", "", "java.security.cert.Certificate[]"},
				{"java.lang", "java.lang.ClassLoader", "java.lang", "java.lang.Class", "findBootstrapClass0", "java.lang", "java.lang.String"},
				{"java.lang", "java.lang.StringBuffer", "", "int", "length"},
				{"java.io", "java.io.Win32FileSystem", "java.lang", "java.lang.String", "normalize", "java.lang", "java.lang.String"},
				{"java.io", "java.io.FileDescriptor", "", "void", "<init>"},
				{"java.lang", "java.lang.StringCoding", "java.lang", "java.lang.Object", "deref", "java.lang", "java.lang.ThreadLocal"},
				{"java.io", "java.io.Win32FileSystem", "java.lang", "java.lang.String", "normalize", "java.lang", "java.lang.String", "", "int", "", "int"},
				{"java.nio", "java.nio.CharBuffer", "", "char[]", "array"},
				{"java.lang.ref", "java.lang.ref.FinalReference", "", "void", "<init>", "java.lang", "java.lang.Object", "java.lang.ref", "java.lang.ref.ReferenceQueue"},
				{"java.nio", "java.nio.Buffer", "", "int", "remaining"},
				{"java.lang", "java.lang.String", "", "boolean", "regionMatches", "", "boolean", "", "int", "java.lang", "java.lang.String", "", "int", "", "int"},
				{"java.util", "java.util.HashMap$Entry", "", "void", "<init>", "", "int", "java.lang", "java.lang.Object", "java.lang", "java.lang.Object", "java.util", "java.util.HashMap$Entry"},
				{"java.lang", "java.lang.String", "", "boolean", "equals", "java.lang", "java.lang.Object"},
				{"java.util", "java.util.Stack", "java.lang", "java.lang.Object", "peek"},
				{"java.util", "java.util.HashMap", "", "boolean", "eq", "java.lang", "java.lang.Object", "java.lang", "java.lang.Object"},
				{"java.nio", "java.nio.Buffer", "java.nio", "java.nio.Buffer", "limit", "", "int"},
				{"sun.nio.cs", "sun.nio.cs.StreamEncoder$CharsetSE", "", "void", "implWrite", "", "char[]", "", "int", "", "int"},
				{"java.lang", "java.lang.ClassLoader", "java.lang", "java.lang.Class", "loadClass", "java.lang", "java.lang.String"},
				{"java.security", "java.security.SecureClassLoader", "", "void", "check"},
				{"java.security", "java.security.BasicPermissionCollection", "", "void", "add", "java.security", "java.security.Permission"},
				{"java.util.zip", "java.util.zip.ZipFile$ZipFileInputStream", "", "int", "read", "", "byte[]", "", "int", "", "int"},
				{"java.io", "java.io.FileInputStream", "", "void", "close0"},
				{"java.lang", "java.lang.Double", "", "void", "<clinit>"},
				{"sun.misc", "sun.misc.FileURLMapper", "", "void", "<init>", "java.net", "java.net.URL"},
				{"sun.nio.cs", "sun.nio.cs.MS1252", "java.nio.charset", "java.nio.charset.CharsetDecoder", "newDecoder"},
				{"java.lang", "java.lang.ThreadLocal$ThreadLocalMap", "", "void", "setThreshold", "", "int"},
				{"java.util.jar", "java.util.jar.JarFile", "", "void", "<clinit>"},
				{"sun.misc", "sun.misc.URLClassPath$JarLoader", "", "void", "parseExtensionsDependencies"},
				{"java.io", "java.io.FilterInputStream", "", "void", "close"},
				{"java.nio.charset", "java.nio.charset.CharsetDecoder", "", "void", "<init>", "java.nio.charset", "java.nio.charset.Charset", "", "float", "", "float"},
				{"java.util", "java.util.Properties", "java.lang", "java.lang.String", "getProperty", "java.lang", "java.lang.String"},
				{"java.util", "java.util.Locale", "java.util", "java.util.Locale", "getDefault"},
				{"java.io", "java.io.ObjectStreamField", "", "void", "<init>", "java.lang", "java.lang.String", "java.lang", "java.lang.Class"},
				{"java.nio", "java.nio.ByteBuffer", "", "byte[]", "array"},
				{"java.io", "java.io.BufferedWriter", "", "void", "write", "java.lang", "java.lang.String", "", "int", "", "int"},
				{"java.lang", "java.lang.Short", "", "void", "<clinit>"},
				{"sun.misc", "sun.misc.URLClassPath", "sun.misc", "sun.misc.URLClassPath$Loader", "getLoader", "java.net", "java.net.URL"},
				{"java.lang", "java.lang.Integer", "", "int", "parseInt", "java.lang", "java.lang.String", "", "int"},
				{"java.lang", "java.lang.Throwable", "", "void", "<init>", "java.lang", "java.lang.Throwable"},
				{"java.lang", "java.lang.Float", "", "boolean", "isNaN", "", "float"},
				{"java.lang", "java.lang.String", "", "boolean", "equalsIgnoreCase", "java.lang", "java.lang.String"},
				{"java.lang", "java.lang.Class", "java.lang", "java.lang.String", "getName"},
				{"sun.misc", "sun.misc.ExtensionDependency", "", "boolean", "checkExtensionsDependencies", "java.util.jar", "java.util.jar.JarFile"},
				{"java.lang", "java.lang.ThreadLocal", "java.lang", "java.lang.Object", "initialValue"},
				{"java.util", "java.util.AbstractMap", "", "void", "<init>"},
				{"java.nio.charset", "java.nio.charset.CharsetEncoder", "java.nio.charset", "java.nio.charset.CoderResult", "encode", "java.nio", "java.nio.CharBuffer", "java.nio", "java.nio.ByteBuffer", "", "boolean"},
				{"java.io", "java.io.PrintStream", "", "void", "write", "java.lang", "java.lang.String"},
				{"java.nio.charset", "java.nio.charset.CharsetDecoder", "java.nio.charset", "java.nio.charset.CharsetDecoder", "onUnmappableCharacter", "java.nio.charset", "java.nio.charset.CodingErrorAction"},
				{"java.lang", "java.lang.StringCoding$CharsetSD", "", "void", "<init>", "java.nio.charset", "java.nio.charset.Charset", "java.lang", "java.lang.String", "java.lang", "java.lang.StringCoding$1"},
				{"java.nio", "java.nio.ByteBuffer", "", "void", "<init>", "", "int", "", "int", "", "int", "", "int", "", "byte[]", "", "int"},
				{"java.lang", "java.lang.Object", "java.lang", "java.lang.Class", "getClass"},
				{"java.nio.charset", "java.nio.charset.CoderResult", "", "boolean", "isUnderflow"},
				{"sun.misc", "sun.misc.Unsafe", "sun.misc", "sun.misc.Unsafe", "getUnsafe"},
				{"java.util", "java.util.Stack", "java.lang", "java.lang.Object", "pop"},
				{"java.util", "java.util.ArrayList", "java.lang", "java.lang.Object", "get", "", "int"},
				{"java.nio.charset", "java.nio.charset.CharsetDecoder", "java.nio.charset", "java.nio.charset.CharsetDecoder", "onMalformedInput", "java.nio.charset", "java.nio.charset.CodingErrorAction"},
				{"sun.misc", "sun.misc.Launcher$AppClassLoader", "java.security", "java.security.PermissionCollection", "getPermissions", "java.security", "java.security.CodeSource"},
				{"java.lang", "java.lang.String", "", "void", "<init>", "", "byte[]"},
				{"java.lang", "java.lang.String", "", "char", "charAt", "", "int"},
				{"java.util.jar", "java.util.jar.JarFile", "", "boolean", "isKnownToNotHaveClassPathAttribute"},
				{"java.nio.charset", "java.nio.charset.CharsetDecoder", "", "void", "<init>", "java.nio.charset", "java.nio.charset.Charset", "", "float", "", "float", "java.lang", "java.lang.String"},
				{"java.util", "java.util.Vector", "", "void", "<init>", "", "int", "", "int"},
				{"java.util", "java.util.ArrayList", "", "boolean", "add", "java.lang", "java.lang.Object"},
				{"sun.nio.cs", "sun.nio.cs.SingleByteDecoder", "", "void", "<init>", "java.nio.charset", "java.nio.charset.Charset", "java.lang", "java.lang.String"},
				{"java.util.zip", "java.util.zip.Inflater", "", "int", "inflate", "", "byte[]", "", "int", "", "int"},
				{"java.lang", "java.lang.StringCoding$StringDecoder", "", "void", "<init>", "java.lang", "java.lang.String"},
				{"java.security", "java.security.AccessController", "java.lang", "java.lang.Object", "doPrivileged", "java.security", "java.security.PrivilegedExceptionAction", "java.security", "java.security.AccessControlContext"},
				{"java.io", "java.io.BufferedWriter", "", "void", "newLine"},
				{"java.net", "java.net.URL", "", "void", "<init>", "java.net", "java.net.URL", "java.lang", "java.lang.String", "java.net", "java.net.URLStreamHandler"},
				{"java.nio", "java.nio.Buffer", "java.nio", "java.nio.Buffer", "position", "", "int"},
				{"sun.misc", "sun.misc.URLClassPath$JarLoader", "sun.misc", "sun.misc.Resource", "getResource", "java.lang", "java.lang.String", "", "boolean"},
				{"java.nio.charset", "java.nio.charset.CharsetDecoder", "java.nio.charset", "java.nio.charset.CoderResult", "flush", "java.nio", "java.nio.CharBuffer"},
				{"java.io", "java.io.BufferedOutputStream", "", "void", "write", "", "byte[]", "", "int", "", "int"},
				{"java.io", "java.io.File", "", "void", "<init>", "java.lang", "java.lang.String"},
				{"java.security", "java.security.PermissionCollection", "", "boolean", "isReadOnly"},
				{"java.io", "java.io.File", "", "long", "length"},
				{"java.util.zip", "java.util.zip.ZipFile$ZipFileInputStream", "", "void", "close"},
				{"java.io", "java.io.ExpiringCache", "", "void", "put", "java.lang", "java.lang.String", "java.lang", "java.lang.String"},
				{"sun.net.www", "sun.net.www.MessageHeader", "", "void", "<init>"},
				{"java.io", "java.io.Win32FileSystem", "", "int", "prefixLength", "java.lang", "java.lang.String"},
				{"java.lang", "java.lang.String", "", "void", "getChars", "", "int", "", "int", "", "char[]", "", "int"},
				{"java.util.zip", "java.util.zip.Inflater", "", "long", "init", "", "boolean"},
				{"java.util.zip", "java.util.zip.ZipFile", "java.util.zip", "java.util.zip.ZipEntry", "getEntry", "java.lang", "java.lang.String"},
				{"sun.security.action", "sun.security.action.GetPropertyAction", "java.lang", "java.lang.Object", "run"},
				{"java.util", "java.util.HashMap", "", "void", "addEntry", "", "int", "java.lang", "java.lang.Object", "java.lang", "java.lang.Object", "", "int"},
				{"sun.misc", "sun.misc.URLClassPath", "sun.misc", "sun.misc.URLClassPath$Loader", "getLoader", "", "int"},
				{"sun.net.www.protocol.file", "sun.net.www.protocol.file.Handler", "java.net", "java.net.URLConnection", "openConnection", "java.net", "java.net.URL"},
				{"java.util", "java.util.Vector", "", "void", "<init>", "", "int"},
				{"java.lang", "java.lang.StringCoding", "", "void", "<clinit>"},
				{"java.lang", "java.lang.Thread", "", "void", "<init>", "java.lang", "java.lang.ThreadGroup", "java.lang", "java.lang.String"},
				{"java.lang", "java.lang.String", "", "void", "checkBounds", "", "byte[]", "", "int", "", "int"},
				{"java.io", "java.io.FilterInputStream", "", "void", "<init>", "java.io", "java.io.InputStream"},
				{"java.lang", "java.lang.String", "java.lang", "java.lang.String", "substring", "", "int", "", "int"},
				{"sun.misc", "sun.misc.JarIndex", "sun.misc", "sun.misc.JarIndex", "getJarIndex", "java.util.jar", "java.util.jar.JarFile"},
				{"java.lang", "java.lang.ThreadLocal", "", "void", "<init>"},
				{"java.lang", "java.lang.StringCoding", "", "char[]", "decode", "java.lang", "java.lang.String", "", "byte[]", "", "int", "", "int"},
				{"java.util", "java.util.Vector", "", "void", "ensureCapacityHelper", "", "int"},
				{"java.lang", "java.lang.System", "", "long", "currentTimeMillis"},
				{"java.net", "java.net.URL", "java.lang", "java.lang.String", "toExternalForm"},
				{"java.lang", "java.lang.StringBuffer", "", "void", "<init>"},
				{"sun.misc", "sun.misc.URLClassPath$3", "", "void", "<init>", "sun.misc", "sun.misc.URLClassPath", "java.net", "java.net.URL"},
				{"java.security", "java.security.AccessController", "java.security", "java.security.AccessControlContext", "getStackAccessControlContext"},
				{"sun.net.www.protocol.file", "sun.net.www.protocol.file.FileURLConnection", "", "void", "<clinit>"},
				{"sun.misc", "sun.misc.URLClassPath$JarLoader", "", "void", "<init>", "java.net", "java.net.URL", "java.net", "java.net.URLStreamHandler", "java.util", "java.util.HashMap"},
				{"java.io", "java.io.FileInputStream", "", "void", "<init>", "java.io", "java.io.File"},
				{"java.util.zip", "java.util.zip.ZipFile", "", "void", "access$000", "java.util.zip", "java.util.zip.ZipFile", "java.util.zip", "java.util.zip.Inflater"},
				{"java.net", "java.net.UnknownContentHandler", "", "void", "<init>"},
				{"java.util", "java.util.AbstractCollection", "", "void", "<init>"},
				{"java.io", "java.io.FileInputStream", "", "void", "open", "java.lang", "java.lang.String"},
				{"java.lang", "java.lang.ThreadLocal", "java.lang", "java.lang.Object", "get"},
				{"java.util.zip", "java.util.zip.ZipFile$1", "", "void", "close"},
				{"java.lang", "java.lang.StringCoding$CharsetSD", "", "char[]", "decode", "", "byte[]", "", "int", "", "int"},
				{"java.lang", "java.lang.ClassLoader$3", "", "void", "<init>", "java.io", "java.io.File"},
				{"java.lang", "java.lang.CharacterDataLatin1", "", "char", "toUpperCase", "", "char"},
				{"java.nio.charset", "java.nio.charset.CharsetDecoder", "java.nio.charset", "java.nio.charset.CoderResult", "decode", "java.nio", "java.nio.ByteBuffer", "java.nio", "java.nio.CharBuffer", "", "boolean"},
				{"java.io", "java.io.OutputStreamWriter", "", "void", "write", "", "char[]", "", "int", "", "int"},
				{"java.util.zip", "java.util.zip.ZipFile$1", "", "void", "<init>", "java.util.zip", "java.util.zip.ZipFile", "java.io", "java.io.InputStream", "java.util.zip", "java.util.zip.Inflater", "java.util.zip", "java.util.zip.ZipFile$ZipFileInputStream"},
				{"sun.nio.cs", "sun.nio.cs.StreamEncoder", "", "void", "ensureOpen"},
				{"java.io", "java.io.FilePermission", "", "void", "<init>", "java.lang", "java.lang.String", "java.lang", "java.lang.String"},
				{"java.lang", "java.lang.StringBuffer", "", "void", "setShared"},
				{"java.io", "java.io.File", "", "void", "<init>", "java.io", "java.io.File", "java.lang", "java.lang.String"},
				{"java.lang", "java.lang.ClassLoader", "", "void", "addClass", "java.lang", "java.lang.Class"},
				{"java.lang", "java.lang.Math", "", "int", "max", "", "int", "", "int"},
				{"java.security", "java.security.Permissions", "java.lang", "java.lang.Class", "class$", "java.lang", "java.lang.String"},
				{"sun.misc", "sun.misc.URLClassPath$7", "java.io", "java.io.InputStream", "getInputStream"},
				{"java.util.zip", "java.util.zip.ZipFile", "", "void", "<clinit>"},
				{"java.io", "java.io.Win32FileSystem", "", "boolean", "isSlash", "", "char"},
				{"java.io", "java.io.FileInputStream", "", "void", "close"},
				{"java.io", "java.io.FilePermissionCollection", "", "void", "<init>"},
				{"java.io", "java.io.FilePermissionCollection", "java.lang", "java.lang.Class", "class$", "java.lang", "java.lang.String"},
				{"java.lang", "java.lang.String", "", "void", "<init>", "java.lang", "java.lang.StringBuffer"},
				{"java.security", "java.security.Permissions", "", "void", "add", "java.security", "java.security.Permission"},
				{"java.net", "java.net.URLStreamHandler", "", "int", "getDefaultPort"},
				{"java.net", "java.net.URL", "", "int", "hashCode"},
				{"java.util.zip", "java.util.zip.InflaterInputStream", "", "void", "<init>", "java.io", "java.io.InputStream", "java.util.zip", "java.util.zip.Inflater", "", "int"},
				{"java.io", "java.io.BufferedWriter", "", "void", "ensureOpen"},
				{"java.lang", "java.lang.ThreadLocal", "", "int", "nextHashCode"},
				{"java.io", "java.io.FilePermission", "", "boolean", "access$100", "java.io", "java.io.FilePermission"},
				{"java.lang", "java.lang.Class", "java.lang", "java.lang.Class", "getPrimitiveClass", "java.lang", "java.lang.String"},
				{"sun.nio.cs", "sun.nio.cs.SingleByteEncoder", "java.nio.charset", "java.nio.charset.CoderResult", "encodeArrayLoop", "java.nio", "java.nio.CharBuffer", "java.nio", "java.nio.ByteBuffer"},
				{"java.security", "java.security.BasicPermission", "java.security", "java.security.PermissionCollection", "newPermissionCollection"},
				{"java.lang", "java.lang.StringCoding", "java.nio.charset", "java.nio.charset.Charset", "lookupCharset", "java.lang", "java.lang.String"},
				{"java.util.jar", "java.util.jar.JarFile", "java.util.jar", "java.util.jar.JarEntry", "getJarEntry", "java.lang", "java.lang.String"},
				{"java.lang", "java.lang.String", "", "int", "lastIndexOf", "", "int"},
				{"sun.security.action", "sun.security.action.LoadLibraryAction", "", "void", "<init>", "java.lang", "java.lang.String"},
				{"java.io", "java.io.PrintStream", "", "void", "newLine"},
				{"java.util.zip", "java.util.zip.ZipFile", "", "long", "getEntry", "", "long", "java.lang", "java.lang.String"},
				{"java.net", "java.net.ContentHandler", "", "void", "<init>"},
				{"sun.net.www.protocol.file", "sun.net.www.protocol.file.Handler", "java.net", "java.net.URLConnection", "createFileURLConnection", "java.net", "java.net.URL", "java.io", "java.io.File"},
				{"java.lang", "java.lang.StringBuffer", "java.lang", "java.lang.StringBuffer", "append", "java.lang", "java.lang.Object"},
				{"java.net", "java.net.URLStreamHandler", "java.lang", "java.lang.String", "toExternalForm", "java.net", "java.net.URL"},
				{"java.util.zip", "java.util.zip.Inflater", "", "boolean", "needsInput"},
				{"java.lang", "java.lang.String", "java.lang", "java.lang.String", "toLowerCase", "java.util", "java.util.Locale"},
				{"java.util.zip", "java.util.zip.ZipEntry", "", "void", "<init>", "java.util.zip", "java.util.zip.ZipEntry"},
				{"java.util.zip", "java.util.zip.ZipFile", "", "int", "access$800", "", "long"},
				{"java.lang", "java.lang.ThreadGroup", "", "void", "remove", "java.lang", "java.lang.Thread"},
				{"java.lang", "java.lang.StringCoding", "", "char[]", "decode", "", "byte[]", "", "int", "", "int"},
				{"java.net", "java.net.Parts", "", "void", "<init>", "java.lang", "java.lang.String"},
				{"sun.misc", "sun.misc.URLClassPath$Loader", "", "void", "<init>", "java.net", "java.net.URL"},
				{"java.lang", "java.lang.ClassLoader", "java.lang", "java.lang.Class", "findLoadedClass0", "java.lang", "java.lang.String"},
				{"java.lang", "java.lang.Math", "", "void", "<clinit>"},
				{"java.io", "java.io.FilePermission", "", "int", "getMask", "java.lang", "java.lang.String"},
				{"sun.nio.cs", "sun.nio.cs.StreamEncoder$CharsetSE", "", "void", "implFlushBuffer"},
				{"java.util", "java.util.ArrayList", "", "void", "<init>", "", "int"},
				{"java.util.jar", "java.util.jar.JarFile", "", "void", "<init>", "java.lang", "java.lang.String"},
				{"java.io", "java.io.FilePermission$1", "java.lang", "java.lang.Object", "run"},
				{"sun.net.www.protocol.file", "sun.net.www.protocol.file.FileURLConnection", "", "void", "<init>", "java.net", "java.net.URL", "java.io", "java.io.File"},
				{"java.io", "java.io.File", "", "boolean", "exists"},
				{"java.net", "java.net.URL", "java.lang", "java.lang.String", "toString"},
				{"java.net", "java.net.URLConnection", "", "void", "<clinit>"},
				{"java.util.zip", "java.util.zip.ZipFile", "", "int", "getCSize", "", "long"},
				{"sun.security.action", "sun.security.action.LoadLibraryAction", "java.lang", "java.lang.Object", "run"},
				{"java.lang", "java.lang.Long", "", "void", "<clinit>"},
				{"java.lang", "java.lang.System", "", "void", "loadLibrary", "java.lang", "java.lang.String"},
				{"sun.misc", "sun.misc.URLClassPath$Loader", "java.net", "java.net.URL", "getClassPath"},
				{"java.lang", "java.lang.StringBuffer", "", "void", "expandCapacity", "", "int"},
				{"java.nio.charset", "java.nio.charset.Charset", "java.nio.charset", "java.nio.charset.Charset", "lookup", "java.lang", "java.lang.String"},
				{"java.io", "java.io.OutputStreamWriter", "", "void", "flushBuffer"},
				{"java.lang", "java.lang.Thread", "", "void", "exit"},
				{"java.nio", "java.nio.Bits", "java.nio", "java.nio.ByteOrder", "byteOrder"},
				{"java.net", "java.net.URLClassLoader", "java.security", "java.security.PermissionCollection", "getPermissions", "java.security", "java.security.CodeSource"},
				{"java.security", "java.security.BasicPermissionCollection", "", "void", "<clinit>"},
				{"java.lang", "java.lang.String", "", "int", "lastIndexOf", "", "int", "", "int"},
				{"java.io", "java.io.Win32FileSystem", "", "int", "normalizePrefix", "java.lang", "java.lang.String", "", "int", "java.lang", "java.lang.StringBuffer"},
				{"java.util.zip", "java.util.zip.ZipFile", "", "void", "releaseInflater", "java.util.zip", "java.util.zip.Inflater"},
				{"java.io", "java.io.Writer", "", "void", "write", "java.lang", "java.lang.String"},
				{"sun.misc", "sun.misc.Resource", "java.security.cert", "java.security.cert.Certificate", "getCertificates"},
				{"java.lang", "java.lang.Class", "", "boolean", "isPrimitive"},
				{"sun.misc", "sun.misc.URLClassPath$7", "", "int", "getContentLength"},
				{"java.lang", "java.lang.Object", "", "void", "notifyAll"},
				{"java.security", "java.security.ProtectionDomain", "", "void", "<init>", "java.security", "java.security.CodeSource", "java.security", "java.security.PermissionCollection", "java.lang", "java.lang.ClassLoader", "", "java.security.Principal[]"},
				{"java.lang", "java.lang.System", "java.lang", "java.lang.String", "mapLibraryName", "java.lang", "java.lang.String"},
				{"sun.net.www", "sun.net.www.URLConnection", "", "void", "<init>", "java.net", "java.net.URL"},
				{"java.io", "java.io.BufferedWriter", "", "int", "min", "", "int", "", "int"},
				{"java.util.zip", "java.util.zip.ZipFile", "", "void", "freeEntry", "", "long", "", "long"},
				{"java.util", "java.util.Hashtable", "", "void", "<init>"},
				{"java.lang", "java.lang.String", "", "int", "hashCode"},
				{"java.util", "java.util.Hashtable", "java.lang", "java.lang.Object", "get", "java.lang", "java.lang.Object"},
				{"java.nio", "java.nio.CharBuffer", "java.nio", "java.nio.CharBuffer", "wrap", "", "char[]", "", "int", "", "int"},
				{"java.lang", "java.lang.String", "", "boolean", "endsWith", "java.lang", "java.lang.String"},
				{"java.util.zip", "java.util.zip.ZipFile", "java.util.zip", "java.util.zip.Inflater", "getInflater"},
				{"java.util.zip", "java.util.zip.Inflater", "", "void", "setInput", "", "byte[]", "", "int", "", "int"},
				{"java.lang", "java.lang.System", "", "void", "arraycopy", "java.lang", "java.lang.Object", "", "int", "java.lang", "java.lang.Object", "", "int", "", "int"},
				{"java.lang", "java.lang.Thread", "", "void", "setPriority", "", "int"},
				{"java.io", "java.io.File", "", "boolean", "isDirectory"},
				{"sun.nio.cs", "sun.nio.cs.StreamEncoder", "", "void", "flushBuffer"},
				{"java.lang", "java.lang.String", "", "boolean", "startsWith", "java.lang", "java.lang.String", "", "int"},
				{"java.lang", "java.lang.Object", "", "int", "hashCode"},
				{"java.lang", "java.lang.StringBuffer", "java.lang", "java.lang.StringBuffer", "append", "java.lang", "java.lang.String"},
				{"java.util", "java.util.HashMap", "java.lang", "java.lang.Object", "get", "java.lang", "java.lang.Object"},
				{"java.lang", "java.lang.Thread", "", "void", "run"},
				{"java.lang", "java.lang.Object", "", "void", "wait"},
				{"java.lang", "java.lang.Object", "", "void", "wait", "", "long"},
				{"java.lang", "java.lang.Object", "", "void", "wait", "", "long", "", "int"},
				{"java.lang.ref", "java.lang.ref.Reference$ReferenceHandler", "", "void", "run"},
				{"java.lang.ref", "java.lang.ref.Finalizer$FinalizerThread", "", "void", "run"},
				{"java.lang.ref", "java.lang.ref.ReferenceQueue", "java.lang.ref", "java.lang.ref.Reference", "remove", "", "long"},
				{"java.lang.ref", "java.lang.ref.Reference", "java.lang.ref", "java.lang.ref.Reference", "access$100", "java.lang.ref", "java.lang.ref.Reference"}};
		return result;
	}
}
